PRO plot_aice_ncar_jrpaper8

   close, /all
   ;; get window_size
   window_size, 'letter', 'landscape', xsize, ysize
   ft = 9 ;; font size
   ;; grid 0.25º
   io_grid='/Net/gleam/abozec/ICESTORM/GDL_DATA/OCEAN_CLIM/'
   alon=ncdf_lec(io_grid+'meshmask_woa025.nc',var='glamt')
   alat=ncdf_lec(io_grid+'meshmask_woa025.nc',var='gphit')

   ;; model
   model='NCAR high res.'

   ;; PATH EXPERIMENT
   ;; field
   io_nc='/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/'

   file_low='NCAR/NCAR_POP_HR/NEW/sic_metrics.nc'
   mean_ice=ncdf_lec(io_nc+file_low,var='mmean',offset=[0,0,8],count=[1440,720,1])
   vari_ice=ncdf_lec(io_nc+file_low,var='mvar' ,offset=[0,0,8],count=[1440,720,1])
   index_shift=-719
   mean_ice=shift(mean_ice,index_shift,0)
   vari_ice=shift(vari_ice,index_shift,0)

   ;; plot the mean 
    m = MAP('PolarStereographic', CENTER_LATITUDE = 89.8004, CENTER_LONGITUDE = 325.d, $
            LIMIT=[40.,0.,89.8004,360.0], TRUE_SCALE_LATITUDE = 90.d, LAYOUT = [2, 2, 1], $
            FONT_SIZE = ft-2,DIMENSIONS = [xsize, ysize])

   n_levels = 10.
   ct = COLORTABLE(72, /reverse)
   c = CONTOUR(mean_ice, alon, alat, /FILL, OVERPLOT=m, GRID_UNITS='degrees', RGB_TABLE=ct, $
               TITLE=' Arctic Mean Ice Cover 1980-2018 '+model,$
              MIN_VALUE = 0.,MAX_VALUE = 1.0, FONT_SIZE = ft)
   mc = MAPCONTINENTS(/FILL_BACKGROUND, FILL_COLOR='gray', LIMIT=[40.,0.,90d,360.0])
   cb = COLORBAR(TARGET = c, ORIENTATION = 1, FONT_SIZE = ft)


   ;; South Pole
   m = MAP('PolarStereographic', CENTER_LATITUDE = -90., CENTER_LONGITUDE = 0.d, $
           LIMIT=[-90., 0.,-45.,360.0], /CURRENT, LAYOUT = [2, 2, 2], FONT_SIZE = ft-2)

   levels = 10.
   ct = COLORTABLE(72, /reverse)
   c = CONTOUR(mean_ice, alon, alat, /FILL, OVERPLOT=m, GRID_UNITS='degrees', RGB_TABLE=ct, $
               TITLE=' Antarctic Mean Ice Cover 1980-2018 '+model,$
               min_value = 0., max_value = 1.0, axis_Style = 1, FONT_SIZE = ft)
   mc = MAPCONTINENTS(/CONTINENTS, /FILL_BACKGROUND, FILL_COLOR='gray', LIMIT=[-90., 0.,-45.,360.0])
   cb = COLORBAR(TARGET=c,ORIENTATION=1, FONT_SIZE = ft)

   ;; plot the Variance poles
    m = MAP('PolarStereographic', CENTER_LATITUDE = 89.8004, CENTER_LONGITUDE = 325.d, $
            LIMIT=[40.,0.,89.8004,360.0], TRUE_SCALE_LATITUDE = 90.d, LAYOUT = [2, 2, 3], $
            /current, FONT_SIZE = ft-2)

   n_levels = 10.
   varin_ice=vari_ice
   varin_ice[where(varin_ice GE 0.1)]=0.1
   ct = COLORTABLE(72, /reverse)
   c = CONTOUR(varin_ice, alon, alat, /FILL, OVERPLOT=m, GRID_UNITS='degrees', RGB_TABLE=ct, $
               TITLE=' Arctic Variance Ice Cover 1980-2018 '+model,$
              MIN_VALUE = 0.,MAX_VALUE = 0.10, FONT_SIZE = ft,N_LEVELS=10.)
   mc = MAPCONTINENTS(/FILL_BACKGROUND, FILL_COLOR='gray', LIMIT=[40.,0.,90d,360.0])
   cb = COLORBAR(TARGET = c, ORIENTATION = 1, FONT_SIZE = ft)


   ;; South Pole
   m = MAP('PolarStereographic', CENTER_LATITUDE = -90., CENTER_LONGITUDE = 0.d, $
           LIMIT=[-90., 0.,-45.,360.0], /CURRENT, LAYOUT = [2, 2, 4], FONT_SIZE = ft-2)

   levels = 10.
   varis_ice=vari_ice
   varis_ice[where(varis_ice GE 0.1)]=0.1
    ct = COLORTABLE(72, /reverse)
   c = CONTOUR(varis_ice, alon, alat, /FILL, OVERPLOT=m, GRID_UNITS='degrees', RGB_TABLE=ct, $
               TITLE=' Antarctic Variance Ice Cover 1980-2018 '+model,$
               min_value = 0., max_value = 0.10, axis_Style = 1, FONT_SIZE = ft,N_LEVELS=10.)
   mc = MAPCONTINENTS(/CONTINENTS, /FILL_BACKGROUND, FILL_COLOR='gray', LIMIT=[-90., 0.,-45.,360.0])
   cb = COLORBAR(TARGET=c,ORIENTATION=1, FONT_SIZE = ft)


stop

end
