PRO plot_amoc_profile_jrpaper

@inithycom_glbt072_60l

    ps_dir='/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/PS_PAPER/'
    ;; read OBS
    io='/Net/yucatan/abozec/MOC_DATA/'
    file='moc_vertical.nc'
    tmp=ncdf_lec(io+file,var='stream_function_mar')
    tmp[where(tmp LT -9999.)]=!values.f_nan
    tt=n_elements(reform(tmp[*,0]))
    nk=n_elements(reform(tmp[0,*]))
    amoc_rapid=total(tmp,1,/nan)/tt
    amoc_std=fltarr(307)
    for k=0,306 do begin
      toto=moment(reform(tmp[*,k]),SDEV=std,/nan)
      amoc_std[k]=std
    endfor
    depth_rapid=ncdf_lec(io+file,var='depth')
    high_error_obs=amoc_rapid+amoc_std
    low_error_obs=amoc_rapid-amoc_std


    ;;PATH
    io = '/Net/gleam/abozec/HYCOM/JRA-55/'
    exp=701
    expt=string(exp,format='(i3.3)')
    expt1=string(exp*0.1,format='(f04.1)')

    ;; Read data low resolution
    year1='2004-2018'
    file=expt+'_archm.'+year1+'_strmf.nc'
    tmp=ncdf_lec(io+'expt_'+expt1+'/data/'+file,var='strmf_atl')
    amoc_low=reform(tmp[219,*]) ;; 26N
    depth_low=ncdf_lec(io+'expt_'+expt1+'/data/'+file,var='Depth')
;    lati=ncdf_lec(io+'expt_'+expt1+'/data/'+file,var='Latitude')


     ;; Read data high resolution
    io = '/Net/gleam/abozec/HYCOM/GLBb0.08/XIAOBIAO/'
    exp=039
    expt=string(exp,format='(i3.3)')
    expt1=string(exp*0.1,format='(f04.1)')
    year1='2004-2018'
    file=expt+'_archm.'+year1+'_strmf.nc'
    tmp=ncdf_lec(io+'expt_'+expt1+'/data/'+file,var='strmf_atl')
    amoc_high=reform(tmp[1841,*]) ;; 26N
    depth_high=ncdf_lec(io+'expt_'+expt1+'/data/'+file,var='Depth')
;    lati=ncdf_lec(io+'expt_'+expt1+'/data/'+file,var='Latitude')


;;;;;  Read NCAR-POP

  ;; PATH
   io = '/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/'
   ;; maska
   mask=ncdf_lec(io+'NCAR/NCAR_POP_HR/NEW/NCAR-POP-HR_moc_mask.nc',var='mask')
   maska=float(reform(-(mask[*,*,1]-1)))

	;; high resolution
   file='NCAR/NCAR_POP_HR/NEW/moc_monthly_timeseries.nc'
   moc=ncdf_lec(io+file,var='MOC')
;   amoc = reform(moc(*, *, 0, 1,*))
   amoc = reform(moc(*, *, 1,*))
   amoc(where(amoc GT 1e20)) = !values.f_nan
   amoc_ncarhigh=total(amoc[*,*,552:731],3,/nan)/180
   amoc_ncarhigh[where(maska EQ 0)]=!values.f_nan
   amocp_ncarhigh=reform(amoc_ncarhigh[275,*])
   depth_ncar_high=ncdf_lec(io+file,var='moc_z')
   depth_ncar_high= depth_ncar_high*1e-2

   ;; maska
   mask=ncdf_lec(io+'NCAR/NCAR_POP_LR/NEW/NCAR-POP-LR_moc_mask.nc',var='mask')
   maska=float(reform(-(mask[*,*,1]-1)))
	;; low resolution
   file='NCAR/NCAR_POP_LR/NEW/moc_monthly_timeseries.nc'
   moc=ncdf_lec(io+file,var='moc')
   amoc = reform(moc(*, *, 0, 1,*))
   amoc(where(amoc GT 1e20)) = !values.f_nan
   amoc_ncarlow=total(amoc[*,*,552:731],3,/nan)/180.
   amoc_ncarlow[where(maska EQ 0)]=!values.f_nan
   amocp_ncarlow=reform(amoc_ncarlow[275,*])
   depth_ncar_low=ncdf_lec(io+file,var='moc_z')
   depth_ncar_low= depth_ncar_low*1e-2

   ;; get lat
   lat = ncdf_lec(io+file, var = 'lat_aux_grid')


;;;;;  Read IAP-LICOM

  ;; PATH
   io = '/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/'
	;; high resolution
   file='LICOM/High_res/amoc-profile_2004-2018_mean.nc'
   amoc_high_licom=ncdf_lec(io+file,var='amoc_profile')
   amoc_high_licom[where(amoc_high_licom GT 1e20)]=!values.f_nan
   depth_licom_high=ncdf_lec(io+file,var='lev')

	;; low resolution
   file='LICOM/Low_res/amoc-profile_2004-2018_mean.nc'
   amoc_low_licom=ncdf_lec(io+file,var='amoc_profile')
   amoc_low_licom[where(amoc_low_licom GT 1e20)]=!values.f_nan
   depth_licom_low=ncdf_lec(io+file,var='lev1')

;;;;;  Read AWI-FESOM

  ;; PATH
   io = '/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/'
	;; high resolution
   file='FESOM/NEW/OMIP3/loop1/amoc_profile_Omon_FESOM1.4_historical_loop1_gr_195801-201812.nc'
   amoc_high_fesom=ncdf_lec(io+file,var='amoc_profile')
   amoc_high_fesom[where(amoc_high_fesom GT 1e10)]=!values.f_nan
   depth_fesom_high=ncdf_lec(io+file,var='depth_coord')

	;; low resolution
   file='FESOM/NEW/OMIP3_LR/loop1/amoc_profile_Omon_FESOM1.4_historical_loop1_gr_195801-201812.nc'
   amoc_low_fesom=ncdf_lec(io+file,var='amoc_profile')
   amoc_low_fesom[where(amoc_low_fesom GT 1e10)]=!values.f_nan
   depth_fesom_low=ncdf_lec(io+file,var='depth_coord')



   lct, 39
    ;openps,ps_dir+'AMOC26N_allmodels-obs+std_2004-2018.ps'
    splot, amoc_rapid, depth_rapid, xstyle = 1, ystyle = 1, yrange = [6000, 0], xrange =  [-10, 25], /landscape, petit = [2, 1, 1], $
         title = 'AMOC depth profile at 26N 2004-2018', xtitle = 'MOC (Sv)', ytitle = 'Depth (m)', thick = 2
    oplot, [0,0],[6000,0],linestyle=1,thick=2
   ;; Obs
   cgColorFill, [high_error_obs, Reverse(low_error_obs), high_error_obs[0]], $
	   [depth_rapid, Reverse(depth_rapid), depth_rapid[0]], $
	   Color='light gray'
     oplot, amoc_rapid,depth_rapid,color=0,thick=3

    ;; FSU-HYCOM
    oplot,amoc_high, depth_high,color=50,thick=2
    oplot,amoc_low, depth_low, color=50,linestyle=2,thick=2
    ;; NCAR-POP
    oplot,amocp_ncarhigh, depth_ncar_high,color=150,thick=2
    oplot,amocp_ncarlow, depth_ncar_low, color=150,linestyle=2,thick=2
    ;; AWI-FESOM
    oplot,amoc_high_fesom, depth_fesom_high,color=200,thick=2
    oplot,amoc_low_fesom, depth_fesom_low, color=200,linestyle=2,thick=2
    ;; IAP-LICOM
    oplot,amoc_high_licom, -depth_licom_high,color=250,thick=2
    oplot,amoc_low_licom, -depth_licom_low, color=250,linestyle=2,thick=2


    oplot,[7,9],[3000,3000],color=0,thick=2
    xyouts,9.5,3000.,'AMOC rapid array at 26N'
    oplot,[7,9],[3500,3500],color=50,thick=2
    xyouts,9.5,3500.,'FSU-HYCOM high res '
    oplot,[7,9],[3750,3750],color=50,linestyle=2,thick=2
    xyouts,9.5,3750.,'FSU-HYCOM low res '

    oplot,[7,9],[4000,4000],color=150,thick=2
    xyouts,9.5,4000.,'NCAR-POP high res '
    oplot,[7,9],[4250,4250],color=150,linestyle=2,thick=2
    xyouts,9.5,4250.,'NCAR-POP low res '

    oplot,[7,9],[4500,4500],color=200,thick=2
    xyouts,9.5,4500.,'AWI-FESOM high res '
    oplot,[7,9],[4750,4750],color=200,linestyle=2,thick=2
    xyouts,9.5,4750.,'AWI-FESOM low res '

    oplot,[7,9],[5000,5000],color=250,thick=2
    xyouts,9.5,5000.,'IAP-LICOM high res '
    oplot,[7,9],[5250,5250],color=250,linestyle=2,thick=2
    xyouts,9.5,5250.,'IAP-LICOM low res '

    closeps







stop

end
