PRO plot_drift_zt_ncar_jrpaper, basin 

   jpk_low = 60
   jpk_high = 62
   ;; GLBb0.08  60 years
   y1 = 1958
   y2 = 2018
   nbr_cycle = 1
   year1 = string(y1, format = '(i4.4)')
   year2 = string(y2, format = '(i4.4)')
   ytot = y2-y1+1
   ttot = ytot*nbr_cycle
   jpk = jpk_high
   tdiff_temp = fltarr(ttot,jpk)
   tdiff_temp_ao = fltarr(ttot,jpk)
   tdiff_temp_io = fltarr(ttot,jpk)
   tdiff_temp_po = fltarr(ttot,jpk)
   tdiff_temp_ip = fltarr(ttot,jpk)
   tdiff_salt = fltarr(ttot,jpk)
   tdiff_salt_ao = fltarr(ttot,jpk)
   tdiff_salt_io = fltarr(ttot,jpk)
   tdiff_salt_po = fltarr(ttot,jpk)
   tdiff_salt_ip = fltarr(ttot,jpk)
   time = fltarr(ttot)
    io_low='/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/NCAR/NCAR_POP_LR/'
   depth_gh72 = ncdf_lec(io_low+'glo_thetao_hor_ts.nc', var = 'z_t')
   depth_gh72 = depth_gh72*1e-2
    io_high='/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/NCAR/NCAR_POP_HR/'
   depth_gh08=ncdf_lec(io_high+'glo_thetao_hor_ts.nc',var='z_t')
   depth_gh08 = depth_gh08*1e-2

   ;; High res
   tt = 61
   jpk = jpk_high
   temperature = fltarr(tt,jpk)
   temperature_ao = fltarr(tt,jpk)
   temperature_ip = fltarr(tt,jpk)
   ;temperature_po = fltarr(tt,jpk)
   salinity = fltarr(tt,jpk)
   salinity_ao = fltarr(tt,jpk)
   salinity_ip = fltarr(tt,jpk)
   ;salinity_po = fltarr(tt,jpk)
   diff_temp = fltarr(tt,jpk)
   diff_temp_ao = fltarr(tt,jpk)
   diff_temp_ip = fltarr(tt,jpk)
   diff_temp_po = fltarr(tt,jpk)
   diff_salt = fltarr(tt,jpk)
   diff_salt_ao = fltarr(tt,jpk)
   diff_salt_ip = fltarr(tt,jpk)
   diff_salt_po = fltarr(tt,jpk)

   ;; GLB
   temp=ncdf_lec(io_high+'glo_thetao_hor_ts.nc',var='thetao')
   salt=ncdf_lec(io_high+'glo_so_hor_ts.nc',var='so')
   temp=transpose(temp)
   salt=transpose(salt)
   for t=0,tt-1 do diff_temp[t,*]=temp[t,*]-temp[0,*]
   for t=0,tt-1 do diff_salt[t,*]=salt[t,*]-salt[0,*]

   ;; PACIFIC
   temp_po=ncdf_lec(io_high+'pac_thetao_hor_ts.nc',var='thetao')
   salt_po=ncdf_lec(io_high+'pac_so_hor_ts.nc',var='so')
   temp_po=transpose(temp_po)
   salt_po=transpose(salt_po)
   for t=0,tt-1 do diff_temp_po[t,*]=temp_po[t,*]-temp_po[0,*]
   for t=0,tt-1 do diff_salt_po[t,*]=salt_po[t,*]-salt_po[0,*]

   ;; ATLANTIC
   temp_ao=ncdf_lec(io_high+'atl_thetao_hor_ts.nc',var='thetao')
   salt_ao=ncdf_lec(io_high+'atl_so_hor_ts.nc',var='so')
   temp_ao=transpose(temp_ao)
   salt_ao=transpose(salt_ao)
   for t=0,tt-1 do diff_temp_ao[t,*]=temp_ao[t,*]-temp_ao[0,*]
   for t=0,tt-1 do diff_salt_ao[t,*]=salt_ao[t,*]-salt_ao[0,*]

   ;; INDIAN
   temp_ip=ncdf_lec(io_high+'ind_thetao_hor_ts.nc',var='thetao')
   salt_ip=ncdf_lec(io_high+'ind_so_hor_ts.nc',var='so')
   temp_ip=transpose(temp_ip)
   salt_ip=transpose(salt_ip)
   for t=0,tt-1 do diff_temp_ip[t,*]=temp_ip[t,*]-temp_ip[0,*]
   for t=0,tt-1 do diff_salt_ip[t,*]=salt_ip[t,*]-salt_ip[0,*]


   for t = 0, 60 do begin 
      
      tdiff_temp(t,*) = diff_temp(t, *)
      tdiff_temp_ao(t,*) = diff_temp_ao(t, *)
      tdiff_temp_ip(t,*) = diff_temp_ip(t, *)
      tdiff_temp_po(t,*) = diff_temp_po(t, *)
      tdiff_salt(t,*) = diff_salt(t, *)
      tdiff_salt_ao(t,*) = diff_salt_ao(t, *)
      tdiff_salt_ip(t,*) = diff_salt_ip(t, *)
      tdiff_salt_po(t,*) = diff_salt_po(t, *)

   endfor 
;   tdiff_temp[60, *] = !values.f_nan
;   tdiff_temp_ao[60, *] = !values.f_nan
;   tdiff_salt[60, *] = !values.f_nan
;   tdiff_salt_ao[60, *] = !values.f_nan

   ;; Low resolution
   tt = 61
   jpk = jpk_low
   diff_temp = fltarr(tt,jpk)
   diff_temp_ao = fltarr(tt,jpk)
   diff_temp_ip = fltarr(tt,jpk)
   diff_temp_po = fltarr(tt,jpk)
   diff_salt = fltarr(tt,jpk)
   diff_salt_ao = fltarr(tt,jpk)
   diff_salt_ip = fltarr(tt,jpk)
   diff_salt_po = fltarr(tt,jpk)

   ;; GLB
   temp=ncdf_lec(io_low+'glo_thetao_hor_ts.nc',var='thetao')
   salt=ncdf_lec(io_low+'glo_so_hor_ts.nc',var='so')
   temp=transpose(temp)
   salt=transpose(salt)
   for t=0,tt-1 do diff_temp[t,*]=temp[t,*]-temp[0,*]
   for t=0,tt-1 do diff_salt[t,*]=salt[t,*]-salt[0,*]

   ;; PACIFIC
   temp_po=ncdf_lec(io_low+'pac_thetao_hor_ts.nc',var='thetao')
   salt_po=ncdf_lec(io_low+'pac_so_hor_ts.nc',var='so')
   temp_po=transpose(temp_po)
   salt_po=transpose(salt_po)
   for t=0,tt-1 do diff_temp_po[t,*]=temp_po[t,*]-temp_po[0,*]
   for t=0,tt-1 do diff_salt_po[t,*]=salt_po[t,*]-salt_po[0,*]

   ;; ATLANTIC
   temp_ao=ncdf_lec(io_low+'atl_thetao_hor_ts.nc',var='thetao')
   salt_ao=ncdf_lec(io_low+'atl_so_hor_ts.nc',var='so')
   temp_ao=transpose(temp_ao)
   salt_ao=transpose(salt_ao)
   for t=0,tt-1 do diff_temp_ao[t,*]=temp_ao[t,*]-temp_ao[0,*]
   for t=0,tt-1 do diff_salt_ao[t,*]=salt_ao[t,*]-salt_ao[0,*]

   ;; INDIAN
   temp_ip=ncdf_lec(io_low+'ind_thetao_hor_ts.nc',var='thetao')
   salt_ip=ncdf_lec(io_low+'ind_so_hor_ts.nc',var='so')
   temp_ip=transpose(temp_ip)
   salt_ip=transpose(salt_ip)
   for t=0,tt-1 do diff_temp_ip[t,*]=temp_ip[t,*]-temp_ip[0,*]
   for t=0,tt-1 do diff_salt_ip[t,*]=salt_ip[t,*]-salt_ip[0,*]
	
   ;; Plot
   key_portrait = 0
   temps = findgen(ttot)+1958
   PS = 1
   io_ps = '//Net/gleam/abozec/HYCOM/JRA55-res_PAPER/PS_PAPER/NCAR/'
   case (basin) of
      'global': begin 

      
      ;; temperature diff scale
      levels_t = 32.
      yt = [-2., 2.]    
      IF (levels_t GT 29) THEN division_t = levels_t/4 ELSE division_t = level_t/2

      if (PS EQ 1) then openps, io_ps+'drift_glb_T_hl-ncar_jra55_1958-2018.ps'
      step = (yt[1] - yt[0]) / levels_t
      userLevels = IndGen(levels_t) * step + yt[0]
      lct, 64, NColors=levels_t, Bottom=20

      ;; GLBb0.08 Global
      depth = depth_gh08
      scontour,  tdiff_temp, temps, depth, window = 1, $
       Position=[0.1, 0.70, 0.85, 0.95], xstyle = 1, ystyle = 1,  cell_fill = 2, $
       Levels=userLevels, Color=!P.Color, Background=!P.Background, $
       C_Colors=IndGen(levels_t) + 20, yrange = [1000,0], $
       TITLE = 'Global Temperature drift High res. NCAR', $
       YTITLE = 'Depth (m)', XTICKINTERVAL = 300

      scontour,  tdiff_temp, temps, depth, window = 1, $
       Position=[0.1, 0.55, 0.85, 0.7],xstyle = 1, ystyle = 1,  cell_fill = 2, $
       Levels=userLevels, Color=!P.Color, Background=!P.Background, $
       C_Colors=IndGen(levels_t) + 20, yrange = [6250,1000], /noerase, $
       XTITLE = 'Time', XTICKINTERVAL = 10, YTICKINTERVAL = 2000

      ColorBar2, Divisions=division_t, Range=yt, Format='(f5.2)', window = 1, $
       Position = [0.9, 0.55, 0.95, 0.95], Color=!P.Color, $
       NColors=levels_t, Bottom=20, /Vertical



      ;; GLBt0.72 Global
      depth = depth_gh72
	  temps_gh72=findgen(58)+1958
	  temps_gh72=temps
      scontour,  diff_temp, temps_gh72, depth, window = 1, $
       Position=[0.1, 0.2, 0.85, 0.45], xstyle = 1, ystyle = 1, cell_fill = 2, $
       Levels=userLevels, $
       C_Colors=IndGen(levels_t) + 20, yrange = [1000,0], /noerase, $
       TITLE = 'Global Temperature drift Low res. NCAR', $
       YTITLE = 'Depth (m)', XTICKINTERVAL = 300
      
      scontour,  diff_temp, temps_gh72, depth, window = 1, $
       Position=[0.1, 0.05, 0.85, 0.2], xstyle = 1, ystyle = 1, cell_fill = 2, $
       Levels=userLevels, $
       C_Colors=IndGen(levels_t) + 20, yrange = [6250,1000], /noerase, $
       XTITLE = 'Time', XTICKINTERVAL = 10, YTICKINTERVAL = 2000
      
      ColorBar2, Divisions=division_t, Range=yt, Format='(f5.2)', window = 1, $
       Position = [0.9, 0.05, 0.95, 0.45], $
       NColors=levels_t, Bottom=20, /Vertical

      if (PS EQ 1) then closeps

       ;; salinity diff scale
      levels_s = 22.
      ys = [-0.2, 0.2]    
      IF (levels_s GT 29) THEN division_s = levels_s/4 ELSE division_s = levels_s/2

       if (PS EQ 1) then openps, io_ps+'drift_glb_S_hl-cnar_jra55_1958-2018.ps'
      step = (ys[1] - ys[0]) / levels_s
      userLevels = IndGen(levels_s) * step + ys[0]
      lct, 64, NColors=levels_s, Bottom=20

      ;; GLBb0.08 Global
      depth = depth_gh08
      scontour,  tdiff_salt, temps, depth, window = 2, $
       Position=[0.1, 0.70, 0.85, 0.95], xstyle = 1, ystyle = 1,  cell_fill = 2, $
       Levels=userLevels, Color=!P.Color, Background=!P.Background, $
       C_Colors=IndGen(levels_s) + 20, yrange = [1000,0], $
       TITLE = 'Global Salinity drift High res. NCAR', $
       YTITLE = 'Depth (m)', XTICKINTERVAL = 300

      scontour,  tdiff_salt, temps, depth, window = 2, $
       Position=[0.1, 0.55, 0.85, 0.7],xstyle = 1, ystyle = 1,  cell_fill = 2, $
       Levels=userLevels, Color=!P.Color, Background=!P.Background, $
       C_Colors=IndGen(levels_s) + 20, yrange = [6250,1000], /noerase, $
       XTITLE = 'Time', XTICKINTERVAL = 10, YTICKINTERVAL = 2000

      ColorBar2, Divisions=division_s, Range=ys, Format='(f5.2)', window = 2, $
       Position = [0.9, 0.55, 0.95, 0.95], Color=!P.Color, $
       NColors=levels_s, Bottom=20, /Vertical



      ;; GLBt0.72 Global
      depth = depth_gh72
      scontour,  diff_salt, temps_gh72, depth, window = 2, $
       Position=[0.1, 0.2, 0.85, 0.45], xstyle = 1, ystyle = 1, cell_fill = 2, $
       Levels=userLevels, $
       C_Colors=IndGen(levels_s) + 20, yrange = [1000,0], /noerase, $
       TITLE = 'Global Salinity drift Low res. NCAR', $
       YTITLE = 'Depth (m)', XTICKINTERVAL = 300
      
      scontour,  diff_salt, temps_gh72, depth, window = 2, $
       Position=[0.1, 0.05, 0.85, 0.2], xstyle = 1, ystyle = 1, cell_fill = 2, $
       Levels=userLevels, $
       C_Colors=IndGen(levels_s) + 20, yrange = [6250,1000], /noerase, $
       XTITLE = 'Time', XTICKINTERVAL = 10, YTICKINTERVAL = 2000
      
      ColorBar2, Divisions=division_s, Range=ys, Format='(f5.2)', window = 2, $
       Position = [0.9, 0.05, 0.95, 0.45], $
       NColors=levels_s, Bottom=20, /Vertical

      if (PS EQ 1) then closeps

      end 

      'atlantic': begin
       temps1 = findgen(ttot)+1
      
       ;; temperature diff scale
       levels_t = 32.
       yt = [-2., 2.]    
       IF (levels_t GT 29) THEN division_t = levels_t/4 ELSE division_t = level_t/2

       if (PS EQ 1) then openps, io_ps+'drift_atl_T_hl-ncar_jra55_1958-2018.ps'
       step = (yt[1] - yt[0]) / levels_t
       userLevels = IndGen(levels_t) * step + yt[0]
       lct, 64, NColors=levels_t, Bottom=20

       ;; GLBb0.08 Atlantic
       depth = depth_gh08
       scontour,  tdiff_temp_ao, temps1, depth, window = 1, $
        Position=[0.1, 0.70, 0.85, 0.95], xstyle = 1, ystyle = 1,  cell_fill = 2, $
        Levels=userLevels, Color=!P.Color, Background=!P.Background, $
        C_Colors=IndGen(levels_t) + 20, yrange = [1000,0], $
        TITLE = 'Atlantic Temperature drift High res. NCAR', $
        YTITLE = 'Depth (m)', XTICKINTERVAL = 300

       scontour,  tdiff_temp_ao, temps1, depth, window = 1, $
        Position=[0.1, 0.55, 0.85, 0.7],xstyle = 1, ystyle = 1,  cell_fill = 2, $
        Levels=userLevels, Color=!P.Color, Background=!P.Background, $
        C_Colors=IndGen(levels_t) + 20, yrange = [6250,1000], /noerase, $
        XTITLE = 'Time', XTICKINTERVAL = 10, YTICKINTERVAL = 2000

       ColorBar2, Divisions=division_t, Range=yt, Format='(f5.2)', window = 1, $
        Position = [0.9, 0.55, 0.95, 0.95], Color=!P.Color, $
        NColors=levels_t, Bottom=20, /Vertical



       ;; GLBt0.72 Global
       depth = depth_gh72
	  temps_gh72=findgen(58)+1958
	  temps_gh72=temps
       scontour,  diff_temp_ao, temps_gh72, depth, window = 1, $
        Position=[0.1, 0.2, 0.85, 0.45], xstyle = 1, ystyle = 1, cell_fill = 2, $
        Levels=userLevels, $
        C_Colors=IndGen(levels_t) + 20, yrange = [1000,0], /noerase, $
        TITLE = 'Atlantic Temperature drift Low res. NCAR', $
        YTITLE = 'Depth (m)', XTICKINTERVAL = 300
      
       scontour,  diff_temp_ao, temps_gh72, depth, window = 1, $
        Position=[0.1, 0.05, 0.85, 0.2], xstyle = 1, ystyle = 1, cell_fill = 2, $
        Levels=userLevels, $
        C_Colors=IndGen(levels_t) + 20, yrange = [6250,1000], /noerase, $
        XTITLE = 'Time', XTICKINTERVAL = 10, YTICKINTERVAL = 2000
      
       ColorBar2, Divisions=division_t, Range=yt, Format='(f5.2)', window = 1, $
        Position = [0.9, 0.05, 0.95, 0.45], $
        NColors=levels_t, Bottom=20, /Vertical

       if (PS EQ 1) then closeps

        ;; salinity diff scale
       levels_s = 22.
       ys = [-0.2, 0.2]    
       IF (levels_s GT 29) THEN division_s = levels_s/4 ELSE division_s = levels_s/2

       if (PS EQ 1) then openps, io_ps+'drift_atl_S_hl-ncar_jra55_1958-2018.ps'
       step = (ys[1] - ys[0]) / levels_s
       userLevels = IndGen(levels_s) * step + ys[0]
       lct, 64, NColors=levels_s, Bottom=20

       ;; GLBb0.08 Atlantic
       depth = depth_gh08
       scontour,  tdiff_salt_ao, temps, depth, window = 2, $
        Position=[0.1, 0.70, 0.85, 0.95], xstyle = 1, ystyle = 1,  cell_fill = 2, $
        Levels=userLevels, Color=!P.Color, Background=!P.Background, $
        C_Colors=IndGen(levels_s) + 20, yrange = [1000,0], $
        TITLE = 'Atlantic Salinity drift High res. NCAR', $
        YTITLE = 'Depth (m)', XTICKINTERVAL = 300

       scontour,  tdiff_salt_ao, temps, depth, window = 2, $
        Position=[0.1, 0.55, 0.85, 0.7],xstyle = 1, ystyle = 1,  cell_fill = 2, $
        Levels=userLevels, Color=!P.Color, Background=!P.Background, $
        C_Colors=IndGen(levels_s) + 20, yrange = [6250,1000], /noerase, $
        XTITLE = 'Time', XTICKINTERVAL = 10, YTICKINTERVAL = 2000

       ColorBar2, Divisions=division_s, Range=ys, Format='(f5.2)', window = 2, $
        Position = [0.9, 0.55, 0.95, 0.95], Color=!P.Color, $
        NColors=levels_s, Bottom=20, /Vertical



       ;; GLBt0.72 Atlantic
       depth = depth_gh72
       scontour,  diff_salt_ao, temps_gh72, depth, window = 2, $
        Position=[0.1, 0.2, 0.85, 0.45], xstyle = 1, ystyle = 1, cell_fill = 2, $
        Levels=userLevels, $
        C_Colors=IndGen(levels_s) + 20, yrange = [1000,0], /noerase, $
        TITLE = 'Atlantic Salinity drift Low res. NCAR', $
        YTITLE = 'Depth (m)', XTICKINTERVAL = 300
      
       scontour,  diff_salt_ao, temps_gh72, depth, window = 2, $
        Position=[0.1, 0.05, 0.85, 0.2], xstyle = 1, ystyle = 1, cell_fill = 2, $
        Levels=userLevels, $
        C_Colors=IndGen(levels_s) + 20, yrange = [6250,1000], /noerase, $
        XTITLE = 'Time', XTICKINTERVAL = 10, YTICKINTERVAL = 2000
      
       ColorBar2, Divisions=division_s, Range=ys, Format='(f5.2)', window = 2, $
        Position = [0.9, 0.05, 0.95, 0.45], $
        NColors=levels_s, Bottom=20, /Vertical

       if (PS EQ 1) then closeps

      end 
       'ind-pac': begin
       temps1 = findgen(ttot)+1
      
       ;; temperature diff scale
       levels_t = 32.
       yt = [-2., 2.]    
       IF (levels_t GT 29) THEN division_t = levels_t/4 ELSE division_t = level_t/2

       if (PS EQ 1) then openps, io_ps+'drift_ind-pac_T_hl-ncar_jra55_1958-2018.ps'
       step = (yt[1] - yt[0]) / levels_t
       userLevels = IndGen(levels_t) * step + yt[0]
       lct, 64, NColors=levels_t, Bottom=20

       ;; GLBb0.08 Atlantic
       depth = depth_gh08
       scontour,  tdiff_temp_ip, temps1, depth, window = 1, $
        Position=[0.1, 0.70, 0.85, 0.95], xstyle = 1, ystyle = 1,  cell_fill = 2, $
        Levels=userLevels, Color=!P.Color, Background=!P.Background, $
        C_Colors=IndGen(levels_t) + 20, yrange = [1000,0], $
        TITLE = 'Indo-Pacific Temperature drift High res. NCAR', $
        YTITLE = 'Depth (m)', XTICKINTERVAL = 300

       scontour,  tdiff_temp_ip, temps1, depth, window = 1, $
        Position=[0.1, 0.55, 0.85, 0.7],xstyle = 1, ystyle = 1,  cell_fill = 2, $
        Levels=userLevels, Color=!P.Color, Background=!P.Background, $
        C_Colors=IndGen(levels_t) + 20, yrange = [6250,1000], /noerase, $
        XTITLE = 'Time', XTICKINTERVAL = 10, YTICKINTERVAL = 2000

       ColorBar2, Divisions=division_t, Range=yt, Format='(f5.2)', window = 1, $
        Position = [0.9, 0.55, 0.95, 0.95], Color=!P.Color, $
        NColors=levels_t, Bottom=20, /Vertical



       ;; GLBt0.72 Global
       depth = depth_gh72
	  temps_gh72=findgen(58)+1958
	  temps_gh72=temps
       scontour,  diff_temp_ip, temps_gh72, depth, window = 1, $
        Position=[0.1, 0.2, 0.85, 0.45], xstyle = 1, ystyle = 1, cell_fill = 2, $
        Levels=userLevels, $
        C_Colors=IndGen(levels_t) + 20, yrange = [1000,0], /noerase, $
        TITLE = 'Indo-Pacific Temperature drift Low res. NCAR', $
        YTITLE = 'Depth (m)', XTICKINTERVAL = 300
      
       scontour,  diff_temp_ip, temps_gh72, depth, window = 1, $
        Position=[0.1, 0.05, 0.85, 0.2], xstyle = 1, ystyle = 1, cell_fill = 2, $
        Levels=userLevels, $
        C_Colors=IndGen(levels_t) + 20, yrange = [6250,1000], /noerase, $
        XTITLE = 'Time', XTICKINTERVAL = 10, YTICKINTERVAL = 2000
      
       ColorBar2, Divisions=division_t, Range=yt, Format='(f5.2)', window = 1, $
        Position = [0.9, 0.05, 0.95, 0.45], $
        NColors=levels_t, Bottom=20, /Vertical

       if (PS EQ 1) then closeps

        ;; salinity diff scale
       levels_s = 22.
       ys = [-0.2, 0.2]    
       IF (levels_s GT 29) THEN division_s = levels_s/4 ELSE division_s = levels_s/2

       if (PS EQ 1) then openps, io_ps+'drift_ind-pac_S_hl-ncar_jra55_1958-2018.ps'
       step = (ys[1] - ys[0]) / levels_s
       userLevels = IndGen(levels_s) * step + ys[0]
       lct, 64, NColors=levels_s, Bottom=20

       ;; GLBb0.08 Atlantic
       depth = depth_gh08
       scontour,  tdiff_salt_ip, temps, depth, window = 2, $
        Position=[0.1, 0.70, 0.85, 0.95], xstyle = 1, ystyle = 1,  cell_fill = 2, $
        Levels=userLevels, Color=!P.Color, Background=!P.Background, $
        C_Colors=IndGen(levels_s) + 20, yrange = [1000,0], $
        TITLE = 'Indo-Pacific Salinity drift High res. NCAR', $
        YTITLE = 'Depth (m)', XTICKINTERVAL = 300

       scontour,  tdiff_salt_ip, temps, depth, window = 2, $
        Position=[0.1, 0.55, 0.85, 0.7],xstyle = 1, ystyle = 1,  cell_fill = 2, $
        Levels=userLevels, Color=!P.Color, Background=!P.Background, $
        C_Colors=IndGen(levels_s) + 20, yrange = [6250,1000], /noerase, $
        XTITLE = 'Time', XTICKINTERVAL = 10, YTICKINTERVAL = 2000

       ColorBar2, Divisions=division_s, Range=ys, Format='(f5.2)', window = 2, $
        Position = [0.9, 0.55, 0.95, 0.95], Color=!P.Color, $
        NColors=levels_s, Bottom=20, /Vertical



       ;; GLBt0.72 Atlantic
       depth = depth_gh72
       scontour,  diff_salt_ip, temps_gh72, depth, window = 2, $
        Position=[0.1, 0.2, 0.85, 0.45], xstyle = 1, ystyle = 1, cell_fill = 2, $
        Levels=userLevels, $
        C_Colors=IndGen(levels_s) + 20, yrange = [1000,0], /noerase, $
        TITLE = 'Indo-Pacific Salinity drift Low res. NCAR', $
        YTITLE = 'Depth (m)', XTICKINTERVAL = 300
      
       scontour,  diff_salt_ip, temps_gh72, depth, window = 2, $
        Position=[0.1, 0.05, 0.85, 0.2], xstyle = 1, ystyle = 1, cell_fill = 2, $
        Levels=userLevels, $
        C_Colors=IndGen(levels_s) + 20, yrange = [6250,1000], /noerase, $
        XTITLE = 'Time', XTICKINTERVAL = 10, YTICKINTERVAL = 2000
      
       ColorBar2, Divisions=division_s, Range=ys, Format='(f5.2)', window = 2, $
        Position = [0.9, 0.05, 0.95, 0.45], $
        NColors=levels_s, Bottom=20, /Vertical

       if (PS EQ 1) then closeps

      end 
       'indian': begin
       temps1 = findgen(ttot)+1
      
       ;; temperature diff scale
       levels_t = 32.
       yt = [-2., 2.]    
       IF (levels_t GT 29) THEN division_t = levels_t/4 ELSE division_t = level_t/2

       if (PS EQ 1) then openps, io_ps+'drift_ind_T_hl-ncar_jra55_1958-2018.ps'
       step = (yt[1] - yt[0]) / levels_t
       userLevels = IndGen(levels_t) * step + yt[0]
       lct, 64, NColors=levels_t, Bottom=20

       ;; GLBb0.08 Atlantic
       depth = depth_gh08
       scontour,  tdiff_temp_ip, temps1, depth, window = 1, $
        Position=[0.1, 0.70, 0.85, 0.95], xstyle = 1, ystyle = 1,  cell_fill = 2, $
        Levels=userLevels, Color=!P.Color, Background=!P.Background, $
        C_Colors=IndGen(levels_t) + 20, yrange = [1000,0], $
        TITLE = 'Indian Ocean Temperature drift High res. NCAR', $
        YTITLE = 'Depth (m)', XTICKINTERVAL = 300

       scontour,  tdiff_temp_ip, temps1, depth, window = 1, $
        Position=[0.1, 0.55, 0.85, 0.7],xstyle = 1, ystyle = 1,  cell_fill = 2, $
        Levels=userLevels, Color=!P.Color, Background=!P.Background, $
        C_Colors=IndGen(levels_t) + 20, yrange = [6250,1000], /noerase, $
        XTITLE = 'Time', XTICKINTERVAL = 10, YTICKINTERVAL = 2000

       ColorBar2, Divisions=division_t, Range=yt, Format='(f5.2)', window = 1, $
        Position = [0.9, 0.55, 0.95, 0.95], Color=!P.Color, $
        NColors=levels_t, Bottom=20, /Vertical



       ;; GLBt0.72 Global
       depth = depth_gh72
	  temps_gh72=findgen(58)+1958
	  temps_gh72=temps
       scontour,  diff_temp_ip, temps_gh72, depth, window = 1, $
        Position=[0.1, 0.2, 0.85, 0.45], xstyle = 1, ystyle = 1, cell_fill = 2, $
        Levels=userLevels, $
        C_Colors=IndGen(levels_t) + 20, yrange = [1000,0], /noerase, $
        TITLE = 'Indian Temperature drift Low res. NCAR', $
        YTITLE = 'Depth (m)', XTICKINTERVAL = 300
      
       scontour,  diff_temp_ip, temps_gh72, depth, window = 1, $
        Position=[0.1, 0.05, 0.85, 0.2], xstyle = 1, ystyle = 1, cell_fill = 2, $
        Levels=userLevels, $
        C_Colors=IndGen(levels_t) + 20, yrange = [6250,1000], /noerase, $
        XTITLE = 'Time', XTICKINTERVAL = 10, YTICKINTERVAL = 2000
      
       ColorBar2, Divisions=division_t, Range=yt, Format='(f5.2)', window = 1, $
        Position = [0.9, 0.05, 0.95, 0.45], $
        NColors=levels_t, Bottom=20, /Vertical

       if (PS EQ 1) then closeps

        ;; salinity diff scale
       levels_s = 22.
       ys = [-0.2, 0.2]    
       IF (levels_s GT 29) THEN division_s = levels_s/4 ELSE division_s = levels_s/2

       if (PS EQ 1) then openps, io_ps+'drift_ind_S_hl-ncar_jra55_1958-2018.ps'
       step = (ys[1] - ys[0]) / levels_s
       userLevels = IndGen(levels_s) * step + ys[0]
       lct, 64, NColors=levels_s, Bottom=20

       ;; GLBb0.08 Atlantic
       depth = depth_gh08
       scontour,  tdiff_salt_ip, temps, depth, window = 2, $
        Position=[0.1, 0.70, 0.85, 0.95], xstyle = 1, ystyle = 1,  cell_fill = 2, $
        Levels=userLevels, Color=!P.Color, Background=!P.Background, $
        C_Colors=IndGen(levels_s) + 20, yrange = [1000,0], $
        TITLE = 'Indian Salinity drift High res. NCAR', $
        YTITLE = 'Depth (m)', XTICKINTERVAL = 300

       scontour,  tdiff_salt_ip, temps, depth, window = 2, $
        Position=[0.1, 0.55, 0.85, 0.7],xstyle = 1, ystyle = 1,  cell_fill = 2, $
        Levels=userLevels, Color=!P.Color, Background=!P.Background, $
        C_Colors=IndGen(levels_s) + 20, yrange = [6250,1000], /noerase, $
        XTITLE = 'Time', XTICKINTERVAL = 10, YTICKINTERVAL = 2000

       ColorBar2, Divisions=division_s, Range=ys, Format='(f5.2)', window = 2, $
        Position = [0.9, 0.55, 0.95, 0.95], Color=!P.Color, $
        NColors=levels_s, Bottom=20, /Vertical



       ;; GLBt0.72 Atlantic
       depth = depth_gh72
       scontour,  diff_salt_ip, temps_gh72, depth, window = 2, $
        Position=[0.1, 0.2, 0.85, 0.45], xstyle = 1, ystyle = 1, cell_fill = 2, $
        Levels=userLevels, $
        C_Colors=IndGen(levels_s) + 20, yrange = [1000,0], /noerase, $
        TITLE = 'Indian Salinity drift Low res. NCAR', $
        YTITLE = 'Depth (m)', XTICKINTERVAL = 300
      
       scontour,  diff_salt_ip, temps_gh72, depth, window = 2, $
        Position=[0.1, 0.05, 0.85, 0.2], xstyle = 1, ystyle = 1, cell_fill = 2, $
        Levels=userLevels, $
        C_Colors=IndGen(levels_s) + 20, yrange = [6250,1000], /noerase, $
        XTITLE = 'Time', XTICKINTERVAL = 10, YTICKINTERVAL = 2000
      
       ColorBar2, Divisions=division_s, Range=ys, Format='(f5.2)', window = 2, $
        Position = [0.9, 0.05, 0.95, 0.45], $
        NColors=levels_s, Bottom=20, /Vertical

       if (PS EQ 1) then closeps

      end 

       'pacific': begin
       temps1 = findgen(ttot)+1
      
       ;; temperature diff scale
       levels_t = 32.
       yt = [-2., 2.]    
       IF (levels_t GT 29) THEN division_t = levels_t/4 ELSE division_t = level_t/2

       if (PS EQ 1) then openps, io_ps+'drift_pac_T_hl-ncar_jra55_1958-2018.ps'
       step = (yt[1] - yt[0]) / levels_t
       userLevels = IndGen(levels_t) * step + yt[0]
       lct, 64, NColors=levels_t, Bottom=20

       ;; GLBb0.08 Atlantic
       depth = depth_gh08
       scontour,  tdiff_temp_po, temps1, depth, window = 1, $
        Position=[0.1, 0.70, 0.85, 0.95], xstyle = 1, ystyle = 1,  cell_fill = 2, $
        Levels=userLevels, Color=!P.Color, Background=!P.Background, $
        C_Colors=IndGen(levels_t) + 20, yrange = [1000,0], $
        TITLE = 'Pacific Ocean Temperature drift High res. NCAR', $
        YTITLE = 'Depth (m)', XTICKINTERVAL = 300

       scontour,  tdiff_temp_po, temps1, depth, window = 1, $
        Position=[0.1, 0.55, 0.85, 0.7],xstyle = 1, ystyle = 1,  cell_fill = 2, $
        Levels=userLevels, Color=!P.Color, Background=!P.Background, $
        C_Colors=IndGen(levels_t) + 20, yrange = [6250,1000], /noerase, $
        XTITLE = 'Time', XTICKINTERVAL = 10, YTICKINTERVAL = 2000

       ColorBar2, Divisions=division_t, Range=yt, Format='(f5.2)', window = 1, $
        Position = [0.9, 0.55, 0.95, 0.95], Color=!P.Color, $
        NColors=levels_t, Bottom=20, /Vertical



       ;; GLBt0.72 Global
       depth = depth_gh72
	  temps_gh72=findgen(58)+1958
	  temps_gh72=temps
       scontour,  diff_temp_po, temps_gh72, depth, window = 1, $
        Position=[0.1, 0.2, 0.85, 0.45], xstyle = 1, ystyle = 1, cell_fill = 2, $
        Levels=userLevels, $
        C_Colors=IndGen(levels_t) + 20, yrange = [1000,0], /noerase, $
        TITLE = 'Pacific Temperature drift Low res. NCAR', $
        YTITLE = 'Depth (m)', XTICKINTERVAL = 300
      
       scontour,  diff_temp_po, temps_gh72, depth, window = 1, $
        Position=[0.1, 0.05, 0.85, 0.2], xstyle = 1, ystyle = 1, cell_fill = 2, $
        Levels=userLevels, $
        C_Colors=IndGen(levels_t) + 20, yrange = [6250,1000], /noerase, $
        XTITLE = 'Time', XTICKINTERVAL = 10, YTICKINTERVAL = 2000
      
       ColorBar2, Divisions=division_t, Range=yt, Format='(f5.2)', window = 1, $
        Position = [0.9, 0.05, 0.95, 0.45], $
        NColors=levels_t, Bottom=20, /Vertical

       if (PS EQ 1) then closeps

        ;; salinity diff scale
       levels_s = 22.
       ys = [-0.2, 0.2]    
       IF (levels_s GT 29) THEN division_s = levels_s/4 ELSE division_s = levels_s/2

       if (PS EQ 1) then openps, io_ps+'drift_pac_S_hl-ncar_jra55_1958-2018.ps'
       step = (ys[1] - ys[0]) / levels_s
       userLevels = IndGen(levels_s) * step + ys[0]
       lct, 64, NColors=levels_s, Bottom=20

       ;; GLBb0.08 Atlantic
       depth = depth_gh08
       scontour,  tdiff_salt_po, temps, depth, window = 2, $
        Position=[0.1, 0.70, 0.85, 0.95], xstyle = 1, ystyle = 1,  cell_fill = 2, $
        Levels=userLevels, Color=!P.Color, Background=!P.Background, $
        C_Colors=IndGen(levels_s) + 20, yrange = [1000,0], $
        TITLE = 'Pacific Salinity drift High res. NCAR', $
        YTITLE = 'Depth (m)', XTICKINTERVAL = 300

       scontour,  tdiff_salt_po, temps, depth, window = 2, $
        Position=[0.1, 0.55, 0.85, 0.7],xstyle = 1, ystyle = 1,  cell_fill = 2, $
        Levels=userLevels, Color=!P.Color, Background=!P.Background, $
        C_Colors=IndGen(levels_s) + 20, yrange = [6250,1000], /noerase, $
        XTITLE = 'Time', XTICKINTERVAL = 10, YTICKINTERVAL = 2000

       ColorBar2, Divisions=division_s, Range=ys, Format='(f5.2)', window = 2, $
        Position = [0.9, 0.55, 0.95, 0.95], Color=!P.Color, $
        NColors=levels_s, Bottom=20, /Vertical



       ;; GLBt0.72 Atlantic
       depth = depth_gh72
       scontour,  diff_salt_po, temps_gh72, depth, window = 2, $
        Position=[0.1, 0.2, 0.85, 0.45], xstyle = 1, ystyle = 1, cell_fill = 2, $
        Levels=userLevels, $
        C_Colors=IndGen(levels_s) + 20, yrange = [1000,0], /noerase, $
        TITLE = 'Pacific Salinity drift Low res. NCAR', $
        YTITLE = 'Depth (m)', XTICKINTERVAL = 300
      
       scontour,  diff_salt_po, temps_gh72, depth, window = 2, $
        Position=[0.1, 0.05, 0.85, 0.2], xstyle = 1, ystyle = 1, cell_fill = 2, $
        Levels=userLevels, $
        C_Colors=IndGen(levels_s) + 20, yrange = [6250,1000], /noerase, $
        XTITLE = 'Time', XTICKINTERVAL = 10, YTICKINTERVAL = 2000
      
       ColorBar2, Divisions=division_s, Range=ys, Format='(f5.2)', window = 2, $
        Position = [0.9, 0.05, 0.95, 0.45], $
        NColors=levels_s, Bottom=20, /Vertical

       if (PS EQ 1) then closeps

      end 


    endcase 
   stop

END 
