PRO plot_hi_fesom_jrpaper8

   close, /all
   ;; get window_size
   window_size, 'letter', 'landscape', xsize, ysize
   ft = 9 ;; font size

   ;; grid 0.25º
   io_grid='/Net/gleam/abozec/ICESTORM/GDL_DATA/OCEAN_CLIM/'
   alon=ncdf_lec(io_grid+'meshmask_woa025.nc',var='glamt')
   alat=ncdf_lec(io_grid+'meshmask_woa025.nc',var='gphit')

   ;; model
   model='AWI-FESOM High res.'

   ;; PATH EXPERIMENT
   ;; field
   io_nc='/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/'

;   file_low='NCAR/NCAR_POP_LR/REMAPPED/sit_metrics.nc'
;   mean_ice=ncdf_lec(io_nc+file_low,var='mean')
;   vari_ice=ncdf_lec(io_nc+file_low,var='var')
;   mean_ice[where(mean_ice GT 1e20)]=!values.f_nan
;   vari_ice[where(vari_ice GT 1e20)]=!values.f_nan

   file_low='FESOM/NEW2/OMIP3_ALEX/sit_mean_monthly_SImon_FESOM1.4_historical_loop1_gr_198001-201812.nc'
   mean_ice=ncdf_lec(io_nc+file_low,var='sit_mean_monthly',offset=[0,0,8],count=[1440,720,1])
   file_low='FESOM/NEW/OMIP3/loop1/sit_variance_mon_SImon_FESOM1.4_historical_loop1_gr_198001-201812.nc'
   vari_ice=ncdf_lec(io_nc+file_low,var='sit_variance_mon' ,offset=[0,0,8],count=[1440,720,1])
   mean_ice[where(mean_ice GE 1e10)]=!values.f_nan
   vari_ice[where(vari_ice GE 1e10)]=!values.f_nan

   index_shift=-719
   mean_ice=shift(mean_ice,index_shift,0)
   vari_ice=shift(vari_ice,index_shift,0)
 

   ;; plot the mean 
    m = MAP('PolarStereographic', CENTER_LATITUDE = 89.8004, CENTER_LONGITUDE = 325.d, $
            LIMIT=[40.,0.,89.8004,360.0], TRUE_SCALE_LATITUDE = 90.d, LAYOUT = [2, 2, 1], $
            FONT_SIZE = ft-2,DIMENSIONS = [xsize, ysize])

;   n_levels = 10.
;   meann=mean_ice
;   meann[where(meann GE 4.)]=4.
;   ct = COLORTABLE(72, /reverse)
;   c = CONTOUR(meann, alon, alat, /FILL, OVERPLOT=m, GRID_UNITS='degrees', RGB_TABLE=ct, $
;               TITLE=' Arctic Mean Ice Thickness (m) 1980-2018 '+model,$
;              MIN_VALUE = 0.,MAX_VALUE=4.,FONT_SIZE = ft,N_LEVELS=20)
;   mc = MAPCONTINENTS(/FILL_BACKGROUND, FILL_COLOR='gray', LIMIT=[40.,0.,90d,360.0])
;   cb = COLORBAR(TARGET = c, ORIENTATION = 1, FONT_SIZE = ft)
;
;
;   ;; South Pole
;   m = MAP('PolarStereographic', CENTER_LATITUDE = -90., CENTER_LONGITUDE = 0.d, $
;           LIMIT=[-90., 0.,-45.,360.0], /CURRENT, LAYOUT = [2, 2, 2], FONT_SIZE = ft-2)
;
;   means=mean_ice
;   means[where(means GE 1.)]=1.
;   levels = 10.
;   ct = COLORTABLE(72, /reverse)
;   c = CONTOUR(means, alon, alat, /FILL, OVERPLOT=m, GRID_UNITS='degrees', RGB_TABLE=ct, $
;               TITLE=' Antarctic Mean Ice Thickness (m) 1980-2018 '+model,$
;               min_value = 0., MAX_VALUE=1., axis_Style = 1, FONT_SIZE = ft,N_LEVELS=10)
;   mc = MAPCONTINENTS(/CONTINENTS, /FILL_BACKGROUND, FILL_COLOR='gray', LIMIT=[-90., 0.,-45.,360.0])
;   cb = COLORBAR(TARGET=c,ORIENTATION=1, FONT_SIZE = ft)
;
;   ;; plot the Variance poles
;    m = MAP('PolarStereographic', CENTER_LATITUDE = 89.8004, CENTER_LONGITUDE = 325.d, $
;            LIMIT=[40.,0.,89.8004,360.0], TRUE_SCALE_LATITUDE = 90.d, LAYOUT = [2, 2, 3], $
;            /current, FONT_SIZE = ft-2)

   n_levels = 10.
   meann=mean_ice
   meann[where(meann GE 6.)]=6.
   ct = COLORTABLE(33)
   c = CONTOUR(meann, alon, alat, /FILL, OVERPLOT=m, GRID_UNITS='degrees', RGB_TABLE=ct, $
               TITLE=' Arctic Mean Ice Thickness (m) 1980-2018 '+model,$
              MIN_VALUE = 0.,MAX_VALUE=6.,FONT_SIZE = ft)
   mc = MAPCONTINENTS(/FILL_BACKGROUND, FILL_COLOR='gray', LIMIT=[40.,0.,90d,360.0])
   cb = COLORBAR(TARGET = c, ORIENTATION = 1, FONT_SIZE = ft)


   ;; South Pole
   m = MAP('PolarStereographic', CENTER_LATITUDE = -90., CENTER_LONGITUDE = 0.d, $
           LIMIT=[-90., 0.,-45.,360.0], /CURRENT, LAYOUT = [2, 2, 2], FONT_SIZE = ft-2)

   means=mean_ice
   means[where(means GE 2.)]=2.
   levels = 10.
   ct = COLORTABLE(33)
   c = CONTOUR(means, alon, alat, /FILL, OVERPLOT=m, GRID_UNITS='degrees', RGB_TABLE=ct, $
               TITLE=' Antarctic Mean Ice Thickness (m) 1980-2018 '+model,$
               min_value = 0., MAX_VALUE=2., axis_Style = 1, FONT_SIZE = ft)
   mc = MAPCONTINENTS(/CONTINENTS, /FILL_BACKGROUND, FILL_COLOR='gray', LIMIT=[-90., 0.,-45.,360.0])
   cb = COLORBAR(TARGET=c,ORIENTATION=1, FONT_SIZE = ft)

   ;; plot the Variance poles
    m = MAP('PolarStereographic', CENTER_LATITUDE = 89.8004, CENTER_LONGITUDE = 325.d, $
            LIMIT=[40.,0.,89.8004,360.0], TRUE_SCALE_LATITUDE = 90.d, LAYOUT = [2, 2, 3], $
            /current, FONT_SIZE = ft-2)



   varin=vari_ice
   varin[where(varin GE 0.5)] =0.5
   varin[where(varin LE 0.01)] =0.0
   n_levels = 10.
   ct = COLORTABLE(72, /reverse)
   c = CONTOUR(varin, alon, alat, /FILL, OVERPLOT=m, GRID_UNITS='degrees', RGB_TABLE=ct, $
               TITLE=' Arctic Variance Ice Thickness (m2) 1980-2018 '+model,$
              MIN_VALUE = 0., MAX_VALUE=0.5, FONT_SIZE = ft,N_LEVELS=10.)
   mc = MAPCONTINENTS(/FILL_BACKGROUND, FILL_COLOR='gray', LIMIT=[40.,0.,90d,360.0])
   cb = COLORBAR(TARGET = c, ORIENTATION = 1, FONT_SIZE = ft)


   ;; South Pole
   m = MAP('PolarStereographic', CENTER_LATITUDE = -90., CENTER_LONGITUDE = 0.d, $
           LIMIT=[-90., 0.,-45.,360.0], /CURRENT, LAYOUT = [2, 2, 4], FONT_SIZE = ft-2)

   varis=vari_ice
   varis[where(varis GE 0.1)] =0.1
   varis[where(varis LE 0.001)] =0.0
   levels = 10.
   ct = COLORTABLE(72, /reverse)
   c = CONTOUR(varis, alon, alat, /FILL, OVERPLOT=m, GRID_UNITS='degrees', RGB_TABLE=ct, $
               TITLE=' Antarctic Variance Ice Thickness (m2) 1980-2018 '+model,$
               min_value = 0., MAX_VALUE=0.1, axis_Style = 1, FONT_SIZE = ft,N_LEVELS=10.)
   mc = MAPCONTINENTS(/CONTINENTS, /FILL_BACKGROUND, FILL_COLOR='gray', LIMIT=[-90., 0.,-45.,360.0])
   cb = COLORBAR(TARGET=c,ORIENTATION=1, FONT_SIZE = ft)


stop

end
