PRO plot_hi_licom_jrpaper

   close, /all
   ;; get window_size
   window_size, 'letter', 'landscape', xsize, ysize
   ft = 9 ;; font size

   ;; grid 1º
   io_grid='/Net/gleam/abozec/ICESTORM/GDL_DATA/OCEAN_CLIM/'
   alon=ncdf_lec(io_grid+'meshmask_woa1.nc',var='glamt')
   alat=ncdf_lec(io_grid+'meshmask_woa1.nc',var='gphit')

   ;; model
   model='IAP-LICOM low res.'

   ;; PATH EXPERIMENT
   ;; field
   io_nc='/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/'

;   file_low='NCAR/NCAR_POP_LR/REMAPPED/sit_metrics.nc'
;   mean_ice=ncdf_lec(io_nc+file_low,var='mean')
;   vari_ice=ncdf_lec(io_nc+file_low,var='var')
;   mean_ice[where(mean_ice GT 1e20)]=!values.f_nan
;   vari_ice[where(vari_ice GT 1e20)]=!values.f_nan

   file_low='LICOM/Low_res/NEW/sit_mean_series_standard-grid.nc'
   mean_ice=ncdf_lec(io_nc+file_low,var='sit',offset=[0,0,8],count=[360,180,1])
   file_low='LICOM/Low_res/NEW/sit_variance_series_standard-grid.nc'
   vari_ice=ncdf_lec(io_nc+file_low,var='sit' ,offset=[0,0,8],count=[360,180,1])
   mean_ice[245,*]=0.5*(mean_ice[244,*]+mean_ice[246,*])
   vari_ice[245,*]=0.5*(vari_ice[244,*]+vari_ice[246,*])
   mean_ice[ 65,*]=0.5*(mean_ice[ 64,*]+mean_ice[ 66,*])
   vari_ice[ 65,*]=0.5*(vari_ice[ 64,*]+vari_ice[ 66,*])
   mean_ice[where(mean_ice GT 1e20)]=!values.f_nan
   vari_ice[where(vari_ice GT 1e20)]=!values.f_nan

   ;; plot the mean 
;    m = MAP('PolarStereographic', CENTER_LATITUDE = 89.8004, CENTER_LONGITUDE = 325.d, $
;            LIMIT=[40.,0.,89.8004,360.0], TRUE_SCALE_LATITUDE = 90.d, LAYOUT = [2, 2, 1], $
;            FONT_SIZE = ft-2,DIMENSIONS = [xsize, ysize])
;
;   n_levels = 10.
;   meann=mean_ice
;   meann[where(meann GE 4.)]=4.
;   ct = COLORTABLE(72, /reverse)
;   c = CONTOUR(meann, alon, alat, /FILL, OVERPLOT=m, GRID_UNITS='degrees', RGB_TABLE=ct, $
;               TITLE=' Arctic Mean Ice Thickness (m) 1980-2018 '+model,$
;              MIN_VALUE = 0.,MAX_VALUE=4.,FONT_SIZE = ft,N_LEVELS=20)
;   mc = MAPCONTINENTS(/FILL_BACKGROUND, FILL_COLOR='gray', LIMIT=[40.,0.,90d,360.0])
;   cb = COLORBAR(TARGET = c, ORIENTATION = 1, FONT_SIZE = ft)
;
;
;   ;; South Pole
;   m = MAP('PolarStereographic', CENTER_LATITUDE = -90., CENTER_LONGITUDE = 0.d, $
;           LIMIT=[-90., 0.,-45.,360.0], /CURRENT, LAYOUT = [2, 2, 2], FONT_SIZE = ft-2)
;
;   means=mean_ice
;   means[where(means GE 1.)]=1.
;   levels = 10.
;   ct = COLORTABLE(72, /reverse)
;   c = CONTOUR(means, alon, alat, /FILL, OVERPLOT=m, GRID_UNITS='degrees', RGB_TABLE=ct, $
;               TITLE=' Antarctic Mean Ice Thickness (m) 1980-2018 '+model,$
;               min_value = 0., MAX_VALUE=1., axis_Style = 1, FONT_SIZE = ft,N_LEVELS=10)
;   mc = MAPCONTINENTS(/CONTINENTS, /FILL_BACKGROUND, FILL_COLOR='gray', LIMIT=[-90., 0.,-45.,360.0])
;   cb = COLORBAR(TARGET=c,ORIENTATION=1, FONT_SIZE = ft)

   ;; plot the mean 
   m = MAP('PolarStereographic', CENTER_LATITUDE = 89.8004, CENTER_LONGITUDE = 325.d, $
           LIMIT=[40.,0.,89.8004,360.0], TRUE_SCALE_LATITUDE = 90.d, LAYOUT = [2, 2, 1], $
           FONT_SIZE = ft-2,DIMENSIONS = [xsize, ysize])

   n_levels = 10.
   meann=mean_ice
  ; meann[where(meann GE 6.)]=6.
   ct = COLORTABLE(33)
   c = CONTOUR(meann, alon, alat, /FILL, OVERPLOT=m, GRID_UNITS='degrees', RGB_TABLE=ct, $
               TITLE=' Arctic Mean Ice Thickness (m) 1980-2018 '+model,$
              MIN_VALUE = 0.,MAX_VALUE=6.,FONT_SIZE = ft)
   mc = MAPCONTINENTS(/FILL_BACKGROUND, FILL_COLOR='gray', LIMIT=[40.,0.,90d,360.0])
   cb = COLORBAR(TARGET = c, ORIENTATION = 1, FONT_SIZE = ft,TAPER=1)


   ;; South Pole
   m = MAP('PolarStereographic', CENTER_LATITUDE = -90., CENTER_LONGITUDE = 0.d, $
           LIMIT=[-90., 0.,-45.,360.0], /CURRENT, LAYOUT = [2, 2, 2], FONT_SIZE = ft-2)

   means=mean_ice
   means[where(means GE 2.)]=2.
   levels = 10.
   ct = COLORTABLE(33)
   c = CONTOUR(means, alon, alat, /FILL, OVERPLOT=m, GRID_UNITS='degrees', RGB_TABLE=ct, $
               TITLE=' Antarctic Mean Ice Thickness (m) 1980-2018 '+model,$
               min_value = 0., MAX_VALUE=2., axis_Style = 1, FONT_SIZE = ft)
   mc = MAPCONTINENTS(/CONTINENTS, /FILL_BACKGROUND, FILL_COLOR='gray', LIMIT=[-90., 0.,-45.,360.0])
   cb = COLORBAR(TARGET=c,ORIENTATION=1, FONT_SIZE = ft)



   ;; plot the Variance poles
    m = MAP('PolarStereographic', CENTER_LATITUDE = 89.8004, CENTER_LONGITUDE = 325.d, $
            LIMIT=[40.,0.,89.8004,360.0], TRUE_SCALE_LATITUDE = 90.d, LAYOUT = [2, 2, 3], $
            /current, FONT_SIZE = ft-2)

   varin=vari_ice
   varin[where(varin GE 0.5)] =0.5
   n_levels = 10.
   ct = COLORTABLE(72, /reverse)
   c = CONTOUR(varin, alon, alat, /FILL, OVERPLOT=m, GRID_UNITS='degrees', RGB_TABLE=ct, $
               TITLE=' Arctic Variance Ice Thickness (m2) 1980-2018 '+model,$
              MIN_VALUE = 0., MAX_VALUE=0.5, FONT_SIZE = ft,N_LEVELS=10.)
   mc = MAPCONTINENTS(/FILL_BACKGROUND, FILL_COLOR='gray', LIMIT=[40.,0.,90d,360.0])
   cb = COLORBAR(TARGET = c, ORIENTATION = 1, FONT_SIZE = ft)


   ;; South Pole
   m = MAP('PolarStereographic', CENTER_LATITUDE = -90., CENTER_LONGITUDE = 0.d, $
           LIMIT=[-90., 0.,-45.,360.0], /CURRENT, LAYOUT = [2, 2, 4], FONT_SIZE = ft-2)

   varis=vari_ice
   varis[where(varis GE 0.1)] =0.1
   levels = 10.
   ct = COLORTABLE(72, /reverse)
   c = CONTOUR(varis, alon, alat, /FILL, OVERPLOT=m, GRID_UNITS='degrees', RGB_TABLE=ct, $
               TITLE=' Antarctic Variance Ice Thickness (m2) 1980-2018 '+model,$
               min_value = 0., MAX_VALUE=0.1, axis_Style = 1, FONT_SIZE = ft,N_LEVELS=10.)
   mc = MAPCONTINENTS(/CONTINENTS, /FILL_BACKGROUND, FILL_COLOR='gray', LIMIT=[-90., 0.,-45.,360.0])
   cb = COLORBAR(TARGET=c,ORIENTATION=1, FONT_SIZE = ft)


stop

end
