PRO plot_hst_jrpaper


    ;; Read mean and variance
    key_portrait = 0
    PS = 1
    io_nc = '/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/'
    ps_dir=io_nc+'PS_PAPER/'


   close, /all


   obs='Trenberth'
   case (obs) of
    'Trenberth' :begin
     ;; PATH 2019 Trenberth, ZHang and Fasullo
     ;; Trenberth, K.E., Zhang,Y. and J.T.Fasullo,2019:
     ;; Observation-Based Estimates of Global and Basin Ocean Meridional Heat Transport Time Series, J. of Climate,
     ;; https://doi.org/10.1175/JCLI-D-18-0872.1
     io='/Net/yucatan/xbxu/data/Ocean_MHT_2019/'
     file_glb='Fig. 4a_2000_2016_monthly_ZonalSum_MeanAnnualCycle_globe_0-2000m_ensemble_mean.txt'
     toto=read_ascii(io+file_glb, DATA_START=2)
     jj_obs=n_elements(reform(toto.field01[0,*]))
     htr_glb = reform(toto.field01[13,*])
      ;; get latitude
      lat_obs_glb = reform(toto.field01[0,*])
      obs_title = 'Trenberth et al., 2019'

      file_glb='Fig. 8b_2000_2016_monthly_ZonalSum_Anomaly_globe_0-2000m_ensemble_mean.txt'
      toto=read_ascii(io+file_glb, DATA_START=3)

      ano_htr_glb = fltarr(180,17)
      t=0
      for y=0,16 do begin
        tmp=reform(toto.field01[*,t:t+179])
        for l=0,179 do ano_htr_glb[l,y]=total(tmp(*,l))/12.
        t=t+181
      endfor
      htr_glb_tot=fltarr(180,17)
      for y=0,16 do htr_glb_tot[13:179,y]=htr_glb+ano_htr_glb[13:179,y]
      htr_glb_std=fltarr(180)
      for l=0,179 do begin
        tmp=moment(htr_glb_tot[l,*],/nan,SDEV=std_dev)
        htr_glb_std(l)=std_dev
      endfor
      higherr_glb = htr_glb + htr_glb_std[13:179]
      lowerr_glb = htr_glb - htr_glb_std[13:179]
      ;lat_obs_glb = findgen(180)-89.5



     file_atl='Fig. 4c_2000_2016_monthly_ZonalSum_MeanAnnualCycle_AtlanticArctic_0-2000m_ensemble_mean.txt'
     toto=read_ascii(io+file_atl, DATA_START=2)
     jj_obs=n_elements(reform(toto.field01[0,*]))
     htr_atl = reform(toto.field01[13,*])
      ;; get latitude
      lat_obs_atl = reform(toto.field01[0,*])
      obs_title = 'Trenberth et al., 2019'

      file_glb='Fig. 12b_2000_2016_monthly_ZonalSum_Anomaly_AtlanticArctic_0-2000m_ensemble_mean.txt'
      toto=read_ascii(io+file_glb, DATA_START=3)

      ano_htr_glb = fltarr(99,17)
      t=0
      for y=0,16 do begin
        tmp=reform(toto.field01[*,t:t+98])
        for l=0,98 do ano_htr_glb[l,y]=total(tmp(*,l))/12.
        t=t+100
      endfor
      htr_glb_tot=fltarr(99,17)
      for y=0,16 do htr_glb_tot[1:98,y]=htr_atl+ano_htr_glb[1:98,y]
      htr_atl_std=fltarr(99)
      for l=0,98 do begin
        tmp=moment(htr_glb_tot[l,*],/nan,SDEV=std_dev)
        htr_atl_std(l)=std_dev
      endfor
      higherr_atl = htr_atl + htr_atl_std[1:98]
      lowerr_atl = htr_atl - htr_atl_std[1:98]
      ;lat_obs_atl = findgen(100)-33.5



     file_ip='Fig. 4b and 6b_2000_2016_monthly_ZonalSum_MeanAnnualCycle_Indo-Pacific_0-2000m_ensemble_mean.txt'
     toto=read_ascii(io+file_ip, DATA_START=2)
     jj_obs=n_elements(reform(toto.field01[0,*]))
     htr_ip = reform(toto.field01[13,*])

      ;; get latitude
      lat_obs_ip = reform(toto.field01[0,*])
      obs_title = 'Trenberth et al., 2019'

      file_glb='Fig. 10b_2000_2016_monthly_ZonalSum_Anomaly_Indo-Pacific_0-2000m_ensemble_mean.txt'
      toto=read_ascii(io+file_glb, DATA_START=3)

      ano_htr_glb = fltarr(99,17)
      t=0
      for y=0,16 do begin
        tmp=reform(toto.field01[*,t:t+98])
        for l=0,98 do ano_htr_glb[l,y]=total(tmp(*,l))/12.
        t=t+100
      endfor
      htr_glb_tot=fltarr(99,17)
      for y=0,16 do htr_glb_tot[0:98,y]=htr_ip+ano_htr_glb[0:98,y]
      htr_ip_std=fltarr(99)
      for l=0,98 do begin
        tmp=moment(htr_glb_tot[l,*],/nan,SDEV=std_dev)
        htr_ip_std(l)=std_dev
      endfor
      higherr_pacind = htr_ip + htr_ip_std[0:98]
      lowerr_pacind = htr_ip - htr_ip_std[0:98]
      ;lat_obs_atl = findgen(100)-33.5



     end
      'Fasullo' :begin
         ;; PATH Trenberth 2008
         ;;SOURCE:
         ;;Fasullo, J.T and K.E. Trenberth, 2008: The Annual Cycle of the Energy Budget.
         ;; Part II: Meridional Structure and Poleward Transports. J. Clim, 21(10): 2313-2325.
         ;;Trenberth, K. E. and J. T. Fasullo, 2008: An observational estimate of ocean
         ;; energy divergence.J. Phys Ocn., 38, 5(10): 984-999.
         ;; 95 values - record 0, Median Global Ocean Transports
         ;; 95 values - record 1, Median Pacific Ocean Transports
         ;; 95 values - record 2, Median Atlantic Ocean Transports
         ;; 95 values - record 3, Indian Ocean Transport Uncertainty
         ;; 95 values - record 4, Global Ocean Transport Uncertainty
         ;; 95 values - record 5, Pacific Ocean Transport Uncertainty
         ;; 95 values - record 6, Atlantic Ocean Transport Uncertainty
         ;; 95 values - record 7, Indian Ocean Transport Uncertainty

         io = '/Net/yucatan/abozec/CERES/'
         file = 'ocean_am_basin_mean_std1.idl'

         htr_glb = fltarr(95)
         htr_pac = fltarr(95)
         htr_atl = fltarr(95)
         htr_ind = fltarr(95)
         htr_glb_std = fltarr(95)
         htr_pac_std = fltarr(95)
         htr_atl_std = fltarr(95)
         htr_ind_std = fltarr(95)
         openu, 1, io+file
         readu, 1, htr_glb, htr_pac, htr_atl, htr_ind
         readu, 1, htr_glb_std, htr_pac_std, htr_atl_std, htr_ind_std
         close, 1
         htr_glb[where(htr_glb GT 1e20)] = 0.
         htr_atl[where(htr_atl GT 1e20)] = 0.
         htr_glb_std[where(htr_glb_std GT 1e20)] = 0.
         htr_atl_std[where(htr_atl_std GT 1e20)] = 0.

         high_error_glb = htr_glb + htr_glb_std
         low_error_glb = htr_glb - htr_glb_std
         high_error_atl = htr_atl + htr_atl_std
         low_error_atl = htr_atl - htr_atl_std

         htr_pac[where(htr_pac GT 1e20)] = 0.
         htr_ind[where(htr_ind GT 1e20)] = 0.
         htr_pac_std[where(htr_pac_std GT 1e20)] = 0.
         htr_ind_std[where(htr_ind_std GT 1e20)] = 0.

         high_error_pac = htr_pac + htr_pac_std
         low_error_pac = htr_pac - htr_pac_std
         high_error_ind = htr_ind + htr_ind_std
         low_error_ind = htr_ind - htr_ind_std

         ;; get Latitude
         clat = ncdf_lec(io+'T63.nc', var = 'grid_center_lat')
         latitude = fltarr(192, 96)
         latitude[*, *] = clat
         lat_obs = reform(latitude[0, 0:94])
         obs_title = 'Fasullo & Trenberth, 2008'
         ;lat_obs_30 = lat_obs[29:94]
         n1 = 29 &  n2 = 94
      end
     'NCEP': begin
         ;;SOURCE:
         ;; Trenberth K.E. and Caron J.M. 2000: Estimates of meridional atmosphere and ocean heat transports,
         ;; Journal of Climate, 14, 3433-3443.
         ;; Trenberth K.E., Caron J.M., and Stepaniak D.P. 2000: The atmospheric energy budget and implications
         ;;  for surface fluxes and ocean heat transports, Climate Dynamics, 17, 259-276.
         ;; Name        Description

         ;; 0  lat T42 latitudes (north to south)
         ;; 1  RT  Radiatively Required Poleward Heat Transport
         ;; 2  ATn Atmospheric Transport - NCEP
         ;; 3  ATe Atmospheric Transport - ECMWF
         ;; 4  OTn Residual Ocean Transport - NCEP
         ;; 5  OTe Residual Ocean Transport - ECMWF

         ;; 6  OTna        Adjusted Ocean Transport (Total of Basins)- NCEP
         ;; 7  ATLn        Atlantic Ocean Basin Transport - NCEP
         ;; 8  PACn        Pacific Ocean Basin Transport - NCEP
         ;; 9  INDn        Indian Ocean Basin Transport - NCEP

         ;; 10 ERnT        Error Bars for NCEP Total Transports
         ;; 11 ERnA        Error Bars for NCEP Atlantic Transports
         ;; 12 ERnP        Error Bars for NCEP Pacific Transports
         ;; 13 ERnI        Error Bars for NCEP Indian Transports

         ;; 14 OTea        Adjusted Ocean Transport (Total of Basins)- ECMWF
         ;; 15 ATLe        Atlantic Ocean Basin Transport - ECMWF
         ;; 16 PACe        Pacific Ocean Basin Transport - ECMWF
         ;; 17 INDe        Indian Ocean Basin Transport - ECMWF

         ;; 18 EReT        Error Bars for ECMWF Total Transports
         ;; 19 EReA        Error Bars for ECMWF Atlantic Transports
         ;; 20 EReP        Error Bars for ECMWF Pacific Transports
         ;; 21 EReI        Error Bars for ECMWF Indian Transports


         io = '/Net/yucatan/abozec/CERES/'
         file = 'ANNUAL_TRANSPORT_1985-1989.ascii'
         toto = read_ascii(io+file, DATA_START = 1)

         ;; NCEP
         htr_glb = reverse(reform(toto.field01[6, *]))*1e-2
         htr_atl = reverse(reform(toto.field01[7, *]))*1e-2
         htr_glb_std = reverse(reform(toto.field01[10, *]))*1e-2
         htr_atl_std = reverse(reform(toto.field01[11, *]))*1e-2

         htr_glb[where(htr_glb EQ -9.99)] = 0.
         htr_atl[where(htr_atl EQ -9.99)] = 0.
         htr_glb_std[where(htr_glb_std EQ -9.99)] = 0.
         htr_atl_std[where(htr_atl_std EQ -9.99)] = 0.

         high_error_glb = htr_glb + htr_glb_std
         low_error_glb = htr_glb - htr_glb_std
         high_error_atl = htr_atl + htr_atl_std
         low_error_atl = htr_atl - htr_atl_std

         htr_pac = reverse(reform(toto.field01[8, *]))*1e-2
         htr_ind = reverse(reform(toto.field01[9, *]))*1e-2
         htr_pac_std = reverse(reform(toto.field01[12, *]))*1e-2
         htr_ind_std = reverse(reform(toto.field01[13, *]))*1e-2

         htr_pac[where(htr_pac EQ -9.99)] = 0.
         htr_ind[where(htr_ind EQ -9.99)] = 0.
         htr_pac_std[where(htr_pac_std EQ -9.99)] = 0.
         htr_ind_std[where(htr_ind_std EQ -9.99)] = 0.

         high_error_pac = htr_pac + htr_pac_std
         low_error_pac = htr_pac - htr_pac_std
         high_error_ind = htr_ind + htr_ind_std
         low_error_ind = htr_ind - htr_ind_std
         ;; get Latitude
         lat_obs = reverse(reform(toto.field01[0, *]))*1e-2 ;; in deg
         n = n_elements(lat_obs)
         obs_title = 'Trenberth & Caron, 2000 - NCEP'
         ;lat_obs_30 = lat_obs[21:63]
         n1 = 19 &  n2 = 63
      end
   endcase

	;; FSU-HYCOM
   io = '/Net/gleam/abozec/HYCOM/JRA-55/expt_70.1/data/'
   io_topo = '/Net/yucatan/abozec/PACIFIC/HYCOM/hycom/GLBt0.72/topo/'
   expt = '701'
   hycom_exp = 'JRA55-HYCOM'
   y1 = 1980 &  y2 = 2018
   year1 = string(y1, format = '(i4.4)')
   ttot = y2-y1+1
   lct,39

   ;; Domain
   idm = 500L &  jdm = 382L
   n30 = 112 ;; index of latitude 35.S

   ;; Heat Global transport
   zeros = fltarr(jdm)

   ;; Global
   lati =  ncdf_lec(io+expt+'_archm.'+year1+'_hst.nc', var = 'Latitude')
   lati_30 = lati[n30:jdm-1]
   tmpg = fltarr(n_elements(lati), ttot)
   tmpa = fltarr(n_elements(lati), ttot)
   tmpip = fltarr(n_elements(lati), ttot)
   for y = y1, y2 do begin
      year2 = string(y, format = '(i4.4)')
      toto = ncdf_lec(io+expt+'_archm.'+year2+'_hst.nc', var = 'htt_glb')
      tmpg[*, y-y1] = toto
      toto = ncdf_lec(io+expt+'_archm.'+year2+'_hst.nc', var = 'htt_atl')
      tmpa[*, y-y1] = toto
      tmpip[*,y-y1] = tmpg[*, y-y1]-tmpa[*, y-y1]
   endfor
   htg_mon = moment(tmpg, DIMENSION = 2, MEAN = htg, VARIANCE = htg_var)
   htg_mon = moment(tmpa, DIMENSION = 2, MEAN = hta, VARIANCE = htg_var)
   htg_mon = moment(tmpip, DIMENSION = 2, MEAN = htip, VARIANCE = htg_var)


   ;; NCAR
   io='/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/NCAR/NCAR_POP_LR/NEW/'
   lati_ncar=ncdf_lec(io+'mht_yearly_1980-2018.nc',var='lat_aux_grid')
   jj_ncar=n_elements(lati_ncar)
   n30_ncar=92
   lati_ncar_30 = lati_ncar[92:jj_ncar-1]
   toto = ncdf_lec(io+'mht_yearly_1980-2018.nc', var = 'mht')
   tmpg = reform(toto[*,0,0,*])
   tmpa= reform(toto[*,1,1,*])+reform(toto[*,3,1,*])+reform(toto[*,4,1,*])

   tmpip= tmpg-tmpa
   htg_mon = moment(tmpg, DIMENSION = 2, MEAN = htg_ncar, VARIANCE = htg_var)
   htg_mon = moment(tmpa, DIMENSION = 2, MEAN = hta_ncar, VARIANCE = htg_var)
   htg_mon = moment(tmpip, DIMENSION = 2, MEAN = htip_ncar, VARIANCE = htg_var)
   hta_ncar[where(finite(hta_ncar) EQ 0.)]=0.


   ;; FESOM
    io='/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/'
    lati_fesom=ncdf_lec(io+'FESOM/NEW/OMIP3_LR/loop1/hfbasin_Oyr_FESOM1.4_historical_loop1_gr_195801-201812.nc',var='lat')
    jj_fesom=n_elements(lati_fesom)
    n30_fesom=59
    lati_fesom_30 = lati_fesom[59:jj_fesom-1]
    tmp=ncdf_lec(io_nc+'FESOM/NEW/OMIP3_LR/loop1/hfbasin_Oyr_FESOM1.4_historical_loop1_gr_195801-201812.nc',var='hfbasin')
    tmpg=transpose(reform(tmp[22:60,0,*]))
    tmpa=transpose(reform(tmp[22:60,1,*]))
    tmpip=transpose(reform(tmp[22:60,2,*]))
   htg_mon = moment(tmpg, DIMENSION = 2, MEAN = htg_fesom, VARIANCE = htg_var)
   htg_mon = moment(tmpa, DIMENSION = 2, MEAN = hta_fesom, VARIANCE = htg_var)
   htg_mon = moment(tmpip, DIMENSION = 2, MEAN = htip_fesom, VARIANCE = htg_var)


   ;; LICOM
   io='/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/LICOM/Low_res/'
   file='MHT_global_1980-2018_mean_standard-grid.nc'
    lati_licom=ncdf_lec(io+file,var='lat')
    jj_licom=n_elements(lati_licom)
    n30_licom=120
    ;n30_licom=0
    lati_licom_30 = lati_licom[0:n30_licom]
    htg_licom=ncdf_lec(io+file,var='hfbasin')
    htg_licom[where(htg_licom GT 1e10)]=!values.f_nan
    hta_licom=ncdf_lec(io+'MHT_Atlantic_1980-2018_mean_standard-grid.nc',var='hfbasin')
    htip_licom=ncdf_lec(io+'MHT_Indian-Pacific_1980-2018_mean_standard-grid.nc',var='hfbasin')



   if (PS EQ 1) then openps, ps_dir+'hst_highlowres_jrpaper_std.ps'
   ;; plot Global Heat and Freshwater transport
   splot,  lati, htg, xstyle = 1, ystyle = 1, yrange = [-2, 3], xrange = [-80, 85], petit = [3, 2, 1],  $
    /landscape, window = 1, /nodata, $
    xtickinterval = 20, xtitle = 'Latitude (N)', ytitle = 'Heat Transport (PW)', $
    title = 'Global Northward Heat Transport (PW) -Year '+year1+'-'+year2+'- ', thick = 2,charsize=0.75
   oplot, lati, zeros, linestyle = 1
   ;; Obs
   cgColorFill, [lat_obs_glb, Reverse(lat_obs_glb), lat_obs_glb[0]], $
   [higherr_glb, Reverse(lowerr_glb), higherr_glb[0]], $
   Color='light gray'
   oplot, lat_obs_glb,htr_glb, color = 0, thick = 2, linestyle = 3


   oplot,lati, htg, thick = 2, color = 50,linestyle=2
   oplot,lati_ncar, htg_ncar, thick = 2, color = 150,linestyle=2
   oplot,lati_fesom, htg_fesom, thick = 2, color = 200,linestyle=2
   oplot,lati_licom, htg_licom, thick = 2, color = 250,linestyle=2


   ;; get the name of the plots
   oplot, [-65, -55], [2.7, 2.7], color = 50, thick = 2
   xyouts, -52, 2.7, 'FSU-HYCOM High res.'
   oplot, [-65, -55], [2.4, 2.4], color = 50, thick = 2, linestyle = 2
   xyouts, -52, 2.4, 'FSU-HYCOM Low res.'

   oplot, [-65, -55], [2.1, 2.1], color = 150, thick = 2
   xyouts, -52, 2.1, 'NCAR-POP High res.'
   oplot, [-65, -55], [1.8, 1.8], color = 150, thick = 2, linestyle = 2
   xyouts, -52, 1.8, 'NCAR-POP Low res.'

   oplot, [15, 25], [2.7, 2.7], color = 200, thick = 2
   xyouts, 27, 2.7, 'AWI-FESOM High res.'
   oplot, [15, 25], [2.4, 2.4], color = 200, thick = 2, linestyle = 2
   xyouts, 27, 2.4, 'AWI-FESOM Low res.'

   ;oplot, [15, 25], [2.1, 2.1], color = 250, thick = 2
   ;xyouts, 27, 2.1, 'IAP-LICOM High res.'
   oplot, [15, 25], [1.8, 1.8], color = 250, thick = 2, linestyle = 2
   xyouts, 27, 1.8, 'IAP-LICOM Low res.'


  ;; Heat Atlantic transport
   splot,  lati, hta, xstyle = 1, ystyle = 1, yrange = [-2, 3], xrange = [-80, 85], petit = [3, 2, 2],  $
    /noerase, /landscape, window = 1,  /nodata, $
    xtickinterval = 20, xtitle = 'Latitude (N)', ytitle = 'Heat Transport (PW)', $
    title = 'Atlantic Northward Heat Transport (PW) -Year '+year1+'-'+year2+'- ', thick = 2,charsize=0.75
    ; oplot, lati, high_error_032, linestyle = 0, thick = 1
    ; oplot, lati, low_error_032, linestyle = 0, thick = 1
   oplot, lati, zeros, linestyle = 1
   ;; Obs
   ;; mask Southern Ocean
;   lat_obs_30 = lat_obs[n1:n2]
;   high_error_atl_30 = high_error_atl[n1:n2]
;   low_error_atl_30 = low_error_atl[n1:n2]
  cgColorFill, [lat_obs_atl, Reverse(lat_obs_atl), lat_obs_atl[0]], $
    [higherr_atl, Reverse(lowerr_atl), higherr_atl[0]], $
    Color='Light grey'
;   oplot,lat_obs_30,htr_atl[n1:n2], color = 0, thick = 2, linestyle = 3
  oplot,lat_obs_atl,htr_atl, color = 0, thick = 2, linestyle = 3

   oplot, lati_30, hta[n30:jdm-1], thick = 2, color = 50,linestyle=2
   oplot,lati_ncar_30, hta_ncar[n30_ncar:jj_ncar-1], thick = 2, color = 150,linestyle=2
   oplot,lati_fesom_30, hta_fesom[n30_fesom:jj_fesom-1], thick = 2, color = 200,linestyle=2
   oplot,lati_licom_30, hta_licom[0:n30_licom], thick = 2, color = 250,linestyle=2

   ;; Heat Indo-Pac transport
   ;; plot Global Heat and Freshwater transport
   splot,  lati, htip, xstyle = 1, ystyle = 1, yrange = [-2, 3], xrange = [-80, 85], petit = [3, 2, 3],  $
    /landscape, window = 1, /nodata, /noerase,$
    xtickinterval = 20, xtitle = 'Latitude (N)', ytitle = 'Heat Transport (PW)', $
    title = 'Indo-Pacific Northward Heat Transport (PW) -Year '+year1+'-'+year2+'- ', thick = 2,charsize=0.75
   oplot, lati, zeros, linestyle = 1
   ;; Obs
   ;; mask Southern Ocean
;   lat_obs_30 = lat_obs[n1:n2]
;   high_error_pacind_30 = high_error_pac[n1:n2]+high_error_ind[n1:n2]
;   low_error_pacind_30 = low_error_pac[n1:n2]+low_error_ind[n1:n2]
   cgColorFill, [lat_obs_ip, Reverse(lat_obs_ip), lat_obs_ip[0]], $
   [higherr_pacind, Reverse(lowerr_pacind), higherr_pacind[0]], $
   Color='Light Grey'
;   oplot, lat_obs_30,htr_ind[n1:n2]+htr_pac[n1:n2], color = 0, thick = 2, linestyle = 3
   oplot, lat_obs_ip,htr_ip, color = 0, thick = 2, linestyle = 3


   oplot,lati_30, htip[n30:jdm-1], color = 50, thick = 2,linestyle=2
   oplot,lati_ncar_30, htip_ncar[n30_ncar:jj_ncar-1], thick = 2, color = 150,linestyle=2
   oplot,lati_fesom_30, htip_fesom[n30_fesom:jj_fesom-1], thick = 2, color = 200,linestyle=2
   oplot,lati_licom_30, htip_licom[0:n30_licom], thick = 2, color = 250,linestyle=2


   ;; High res
	;; FSU-HYCOM
   io = '/Net/gleam/abozec/HYCOM/GLBb0.08/XIAOBIAO/expt_03.9/data/'
   expt = '039'
   hycom_exp = 'JRA55-HYCOM'
   y1 = 1980 &  y2 = 2018
   year1 = string(y1, format = '(i4.4)')
   ttot = y2-y1+1
   lct,39

   ;; Domain
   jdm = 3298L
   n30 = 1041 ;; index of latitude 35.S

   ;; Heat Global transport
   zeros = fltarr(jdm)

   ;; Global
   lati =  ncdf_lec(io+expt+'_archm.1980-2018_year_hst.nc', var = 'Latitude')
   lati_30 = lati[n30:jdm-1]
   tmpg = fltarr(n_elements(lati), ttot)
   tmpa = fltarr(n_elements(lati), ttot)
   tmpip = fltarr(n_elements(lati), ttot)
   tmpg = ncdf_lec(io+expt+'_archm.1980-2018_year_hst.nc', var = 'htt_glb')
   tmpa = ncdf_lec(io+expt+'_archm.1980-2018_year_hst.nc', var = 'htt_atl')
   tmpip = tmpg-tmpa
   htg_mon = moment(tmpg, DIMENSION = 2, MEAN = htg, VARIANCE = htg_var)
   htg_mon = moment(tmpa, DIMENSION = 2, MEAN = hta, VARIANCE = htg_var)
   htg_mon = moment(tmpip, DIMENSION = 2, MEAN = htip, VARIANCE = htg_var)


   ;; NCAR
   io='/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/NCAR/NCAR_POP_HR/NEW/'
   lati_ncar=ncdf_lec(io+'mht_yearly_1980-2018.nc',var='lat_aux_grid')
   jj_ncar=n_elements(lati_ncar)
   n30_ncar=92
   lati_ncar_30 = lati_ncar[92:jj_ncar-1]
   toto = ncdf_lec(io+'mht_yearly_1980-2018.nc', var = 'mht')
   tmpg = reform(toto[*,0,0,*])
   tmpa= reform(toto[*,0,1,*])
   tmpip= tmpg-tmpa
   htg_mon = moment(tmpg, DIMENSION = 2, MEAN = htg_ncar, VARIANCE = htg_var)
   htg_mon = moment(tmpa, DIMENSION = 2, MEAN = hta_ncar, VARIANCE = htg_var)
   htg_mon = moment(tmpip, DIMENSION = 2, MEAN = htip_ncar, VARIANCE = htg_var)
   hta_ncar[where(finite(hta_ncar) EQ 0.)]=0.
   htg_ncar[where(htg_ncar GE 1e10)]=0.


   ;; FESOM
    io='/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/'
    lati_fesom=ncdf_lec(io+'FESOM/NEW/OMIP3/loop1/hfbasin_Oyr_FESOM1.4_historical_loop1_gr_195801-201812.nc',var='lat')
    jj_fesom=n_elements(lati_fesom)
    n30_fesom=59
    lati_fesom_30 = lati_fesom[59:jj_fesom-1]
    tmp=ncdf_lec(io_nc+'FESOM/NEW/OMIP3/loop1/hfbasin_Oyr_FESOM1.4_historical_loop1_gr_195801-201812.nc',var='hfbasin')
    tmpg=transpose(reform(tmp[22:60,0,*]))
    tmpa=transpose(reform(tmp[22:60,1,*]))
    tmpip=transpose(reform(tmp[22:60,2,*]))
   htg_mon = moment(tmpg, DIMENSION = 2, MEAN = htg_fesom, VARIANCE = htg_var)
   htg_mon = moment(tmpa, DIMENSION = 2, MEAN = hta_fesom, VARIANCE = htg_var)
   htg_mon = moment(tmpip, DIMENSION = 2, MEAN = htip_fesom, VARIANCE = htg_var)


   ;; LICOM
;   io='/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/LICOM/High_res/'
;   file='MHT_global_1980-2018_mean_standard-grid.nc'
;    lati_licom=ncdf_lec(io+file,var='lat')
;    jj_licom=n_elements(lati_licom)
;    n30_licom=120
;    ;n30_licom=0
;    lati_licom_30 = lati_licom[0:n30_licom]
;    htg_licom=ncdf_lec(io+file,var='hfbasin')
;    htg_licom[where(htg_licom GT 1e10)]=!values.f_nan
;    hta_licom=ncdf_lec(io+'MHT_Atlantic_1980-2018_mean_standard-grid.nc',var='hfbasin')
;    htip_licom=ncdf_lec(io+'MHT_Indian-Pacific_1980-2018_mean_standard-grid.nc',var='hfbasin')



   ;; plot Global Heat and Freshwater transport
   splot,  lati, htg, xstyle = 1, ystyle = 1, yrange = [-2, 3], xrange = [-80, 85], petit = [3, 2, 1],  $
    /landscape, window = 1, /nodata, /noerase,$
    xtickinterval = 20, xtitle = 'Latitude (N)', ytitle = 'Heat Transport (PW)', $
    title = 'Global Northward Heat Transport (PW) -Year '+year1+'-'+year2+'- ', thick = 2,charsize=0.75
   oplot, lati, zeros, linestyle = 1
   oplot,lati, htg, thick = 2, color = 50
   oplot,lati_ncar, htg_ncar, thick = 2, color = 150
   oplot,lati_fesom, htg_fesom, thick = 2, color = 200
  ; oplot,lati_licom, htg_licom, thick = 2, color = 250



  ;; Heat Atlantic transport
   splot,  lati, hta, xstyle = 1, ystyle = 1, yrange = [-2, 3], xrange = [-80, 85], petit = [3, 2, 2],  $
    /noerase, /landscape, window = 1,  /nodata, $
    xtickinterval = 20, xtitle = 'Latitude (N)', ytitle = 'Heat Transport (PW)', $
    title = 'Atlantic Northward Heat Transport (PW) -Year '+year1+'-'+year2+'- ', thick = 2,charsize=0.75
    ; oplot, lati, high_error_032, linestyle = 0, thick = 1
    ; oplot, lati, low_error_032, linestyle = 0, thick = 1
   oplot, lati, zeros, linestyle = 1
   oplot, lati_30, hta[n30:jdm-1], thick = 2, color = 50
   oplot,lati_ncar_30, hta_ncar[n30_ncar:jj_ncar-1], thick = 2, color = 150
   oplot,lati_fesom_30, hta_fesom[n30_fesom:jj_fesom-1], thick = 2, color = 200
  ; oplot,lati_licom_30, hta_licom[0:n30_licom], thick = 2, color = 250

   ;; Heat Indo-Pac transport
   ;; plot Global Heat and Freshwater transport
   splot,  lati, htip, xstyle = 1, ystyle = 1, yrange = [-2, 3], xrange = [-80, 85], petit = [3, 2, 3],  $
    /landscape, window = 1, /nodata, /noerase,$
    xtickinterval = 20, xtitle = 'Latitude (N)', ytitle = 'Heat Transport (PW)', $
    title = 'Indo-Pacific Northward Heat Transport (PW) -Year '+year1+'-'+year2+'- ', thick = 2,charsize=0.75
   oplot, lati, zeros, linestyle = 1
   oplot,lati_30, htip[n30:jdm-1], color = 50, thick = 2
   oplot,lati_ncar_30, htip_ncar[n30_ncar:jj_ncar-1], thick = 2, color = 150
   oplot,lati_fesom_30, htip_fesom[n30_fesom:jj_fesom-1], thick = 2, color = 200
 ;  oplot,lati_licom_30, htip_licom[0:n30_licom], thick = 2, color = 250

  if (PS EQ 1) then     closeps



stop


end
