PRO plot_meanvar_jrpaper8

@inithycom_woa025deg
    glamt[where(glamt LT 0.)]=glamt[where(glamt LT 0.)]+360.

	;; Read mean and variance
    key_portrait = 1
    PS = 1
    io_nc = '/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/'
    ps_dir=io_nc+'PS_PAPER/'
    model='FSU-HYCOM high res.'
    expt='GLBb0.08-039'

	;; low resolution
	   var='ssh'
	   file='meanvar_'+var+'_5d_xy_GLBb0.08-039_fsu.nc'
	   mean_sst=ncdf_lec(io_nc+'FSU/'+file,var='mean_'+var)
	   vari_sst=ncdf_lec(io_nc+'FSU/'+file,var='vari_'+var)
	   mean_sst[where(mean_sst GT 1e20)]=!values.f_nan
	   vari_sst[where(vari_sst GT 1e20)]=!values.f_nan
       area=e1t*e2t*tmask[*,*,0]
       mssh=total(mean_sst*area,/nan)/total(area)
       help, mssh

	   ;; PLot
	bbox=[0,360,-78,89]
        vari_sst[where(vari_sst LE 0.0015)]=0.0015
	   if (PS EQ 1 ) then openps,ps_dir+'meanvar_ssh_5d_GLBb0.08_1993-2018.ps'
	   plt,mean_sst-mssh,box=bbox,lct=64,small=[1,2,1],/rempli,$
		 title=model+' Mean SSH 1993-2018',min=-1., max=1.,/nocontour,window=1
	   plt,vari_sst,box=bbox,lct=64,small=[1,2,2],/rempli,$
		 title=model+' Variance SSH 1993-2018',/noerase,min=0., max=0.025,/nocontour,format='(f7.3)'
	   if (PS EQ 1 ) then closeps

	stop


	;; low resolution
	   var='sst'
	   file='meanvar_'+var+'_xy_'+expt+'_fsu.nc'
	   mean_sst=ncdf_lec(io_nc+'FSU/'+file,var='mean_'+var)
	   vari_sst=ncdf_lec(io_nc+'FSU/'+file,var='vari_'+var)
	   mean_sst[where(mean_sst EQ 0.0)]=!values.f_nan
	   vari_sst[where(vari_sst GT 1e20)]=!values.f_nan

	   ;; PLot
	   bbox=[0,360,-78,89]
     vari_sst[where(vari_sst LE 0.006)]=0.006
	   if (PS EQ 1 ) then openps,ps_dir+'meanvar_sst_GLBb0.08_1980-2018.ps'
	   plt,mean_sst,box=bbox,lct=64,small=[1,2,1],/rempli,$
		 title=model+' Mean SST 1980-2018',min=-2., max=30.,/nocontour
	   plt,vari_sst,box=bbox,lct=64,small=[1,2,2],/rempli,$
		 title=model+' Variance SST 1980-2018',/noerase,min=0., max=2.,/nocontour
	   if (PS EQ 1 ) then closeps

stop
	;; low resolution
	   var='sss'
	   file='meanvar_'+var+'_xy_'+expt+'_fsu.nc'
	   mean_sst=ncdf_lec(io_nc+'FSU/'+file,var='mean_'+var)
	   vari_sst=ncdf_lec(io_nc+'FSU/'+file,var='vari_'+var)
	   mean_sst[where(mean_sst EQ 0.0)]=!values.f_nan
	   vari_sst[where(vari_sst GT 1e20)]=!values.f_nan

	   ;; PLot
	   bbox=[0,360,-78,89]
     vari_sst[where(vari_sst LE 0.002)]=0.002
	   if (PS EQ 1 ) then openps,ps_dir+'meanvar_sss_GLBb0.08_1980-2018.ps'
	   plt,mean_sst,box=bbox,lct=64,small=[1,2,1],/rempli,$
		 title=model+' Mean SSS 1980-2018',min=28., max=39.,/nocontour,window=1
	   plt,vari_sst,box=bbox,lct=64,small=[1,2,2],/rempli,$
		 title=model+' Variance SSS 1980-2018',/noerase,min=0., max=0.1,/nocontour
	   if (PS EQ 1 ) then closeps
stop
	;; low resolution
    var='t700m'
    file='meanvar_'+var+'_xy_'+expt+'_fsu.nc'
    mean_sst=ncdf_lec(io_nc+'FSU/'+file,var='mean_'+var)
    vari_sst=ncdf_lec(io_nc+'FSU/'+file,var='vari_'+var)
    mean_sst[where(mean_sst EQ 0.0)]=!values.f_nan
    vari_sst[where(vari_sst GT 1e20)]=!values.f_nan

    ;; PLot
	bbox=[0,360,-78,89]
    if (PS EQ 1 ) then openps,ps_dir+'meanvar_t700m_GLBb0.08_1980-2018.ps'
    plt,mean_sst,box=bbox,lct=64,small=[1,2,1],/rempli,$
      title=model+' Mean T 0-700m 1980-2018',min=-2., max=20.,/nocontour,window=2
    plt,vari_sst,box=bbox,lct=64,small=[1,2,2],/rempli,$
      title=model+' Variance T 0-700m 1980-2018',/noerase,min=0., max=0.5,/nocontour
    if (PS EQ 1 ) then closeps

	;; low resolution
    var='s700m'
    file='meanvar_'+var+'_xy_'+expt+'_fsu.nc'
    mean_sst=ncdf_lec(io_nc+'FSU/'+file,var='mean_'+var)
    vari_sst=ncdf_lec(io_nc+'FSU/'+file,var='vari_'+var)
    mean_sst[where(mean_sst EQ 0.0)]=!values.f_nan
    vari_sst[where(vari_sst GT 1e20)]=!values.f_nan

    ;; PLot
	bbox=[0,360,-78,89]
    if (PS EQ 1 ) then openps,ps_dir+'meanvar_s700m_GLBb0.08_1980-2018.ps'
    plt,mean_sst,box=bbox,lct=64,small=[1,2,1],/rempli,$
      title=model+' Mean S 0-700m 1980-2018',min=30., max=39.,/nocontour,window=3
    plt,vari_sst,box=bbox,lct=64,small=[1,2,2],/rempli,$
      title=model+' Variance S 0-700m 1980-2018',/noerase,min=0., max=0.01,/nocontour,format='(f5.3)'
    if (PS EQ 1 ) then closeps


stop

end
