PRO plot_mld_xy_obs_jrpaper



       ;; Interpolate and write Obs mld deBoyer 
        filenc = 1
        io_nc = '/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/'

        ;; WOA regular grid
        ;; interpolation to regular grid
        io_reg='/Net/gleam/abozec/ICESTORM/GDL_DATA/OCEAN_CLIM/'
        file_reg='temperature_annual_1deg.nc'
        lon_reg=ncdf_lec(io_reg+file_reg,var='lon')
        lat_reg=ncdf_lec(io_reg+file_reg,var='lat')
        ii = n_elements(lon_reg)
        jj = n_elements(lat_reg)
        lat = replicate(1, ii) # lat_reg
        lon = lon_reg # replicate(1, jj)
        lon[where(lon GE 180)] = lon[where(lon GE 180)]-360.
        tmp=ncdf_lec(io_reg+file_reg,var='t_an')
        maskt=fltarr(ii,jj)+1
        maskt[where(tmp[*,*,0,0] GT 1e20)] = 0.

        ;; Observation mld
        io=io_nc+'OBS/mld_DR003_c1m_reg2.0.nc'
        lon_in=ncdf_lec(io,var='lon')
        lat_in=ncdf_lec(io,var='lat')
        ii1 = n_elements(lon_in)
        jj1 = n_elements(lat_in)
        latt_in = replicate(1, ii1) # lat_in
        lonn_in = lon_in # replicate(1, jj1)
        mld=ncdf_lec(io,var='mld')
        
        lonn_in(where(lonn_in GE 180)) = lonn_in(where(lonn_in GE 180)) -360

       ;; Get triangulation of input grid for interpolation
        triangulate, lonn_in,latt_in, mld_tri
        mld_1deg=fltarr(ii,jj,12)
        for t=0,11 do begin 
        tmp=fltarr(ii,jj)
        tmp[*, *] = griddata(lonn_in,latt_in, mld[*,*,t], /NEAREST_NEIGHBOR, TRIANGLES = mld_tri, /DEGREES, $
                            MISSING=!values.f_nan, XOUT = lon, YOUT = lat)
;            tmp[179,*]=0.5*(tmp[178,*]+tmp[180,*])
        tmp[where(tmp GT 1e05)] = !values.f_nan
        mld_1deg[*,*,t]=tmp

        endfor
        


@inithycom_woa1deg

    glamt[where(glamt GE 180.)] = glamt[where(glamt GT 180.)] -360.
   ; glamf[where(glamf GE 180.)] = glamf[where(glamf GT 180.)] -360.
    glamt=shift(glamt, 180,0)
   ; glamf=shift(glamf, 180,0)
    tmask=shift(tmask,180,0,0)
    ;tmask[*,*,0]=1.
    PS=1.
    ps_dir=io_nc+'PS_PAPER/'

    mld_1degs=shift(mld_1deg,179,0,0)

	   ;; PLot
	bbox1=[-180,180,-78, 0,0,10]
	bbox2=[-180,180, 0, 80,0,10]
	   if (PS EQ 1 ) then openps,ps_dir+'mld_Obs.ps'
	   plt,mld_1degs[*,*,2],box=bbox2,lct=33,small=[1,2,1],/portrait,$
		 title=' Mean Mixed Layer Depth March (m) Obs. de Boyer Montegut et al. (2004)',$
		 min=0, max=2500.,/nocontour,window=1,format='(f6.1)'
	   plt,mld_1degs[*,*,8],box=bbox1,lct=33,small=[1,2,2],/portrait,$
		 title=' Mean Mixed Layer Depth September (m) Obs. de Boyer Montegut et al. (2004)',$
		 /noerase,min=0, max=1000.,/nocontour,format='(f6.1)'
	   if (PS EQ 1 ) then closeps


;stop

stop

end 