PRO plot_sshvarobs_jrpaper8

  @inithycom_woa025deg
      glamt[where(glamt LT 0.)]=glamt[where(glamt LT 0.)]+360.
      glamf[where(glamf LT 0.)]=glamf[where(glamf LT 0.)]+360.
      ;; obs
      io_obs='/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/OBS/'
      file='dt_global_allsat_phy_l4_1993.2018.metrics.nc'
      ssh_obs=ncdf_lec(io_obs+file,var='mdt')
      ssh_obs[where(finite(ssh_obs) EQ 0.)]=0.
      vart_obs=ncdf_lec(io_obs+file,var='var')
      vart_obs[where(finite(vart_obs) EQ 0.)]=0.
      area=e1t*e2t*tmask[*,*,0]

      index_shift=-719
	    ssh_obs=shift(ssh_obs,index_shift,0)
	    vart_obs=shift(vart_obs,index_shift,0)
      mssh=total(ssh_obs*area,/nan)/total(area)
      help, mssh

;stop
      PS=1
      ps_dir=io_obs+'/../PS_PAPER/'
          ;; PLot
      ;     sst_obs[where(sst_obs LE -0.5)]=-0.5
      vart_obs[where(vart_obs LE 0.0015)]=0.0015
       	bbox1=[0,360.,-78,89]
      if (PS EQ 1 ) then openps,ps_dir+'sshvar_Obs_1993-2018.ps'
      plt,(ssh_obs-mssh)*1e-2,box=bbox1,lct=64,small=[1,2,1],/rempli,$
        title='Obs AVISO 1993-2018 (m)',min=-1., max=1.,/nocontour,window=1
        plt,vart_obs*1e-4,box=bbox1,lct=64,small=[1,2,2],/rempli,$
   		 title='Variance Obs AVISO 1993-2018',/noerase,min=0., max=0.025,/nocontour,format='(f7.3)'
   	   if (PS EQ 1 ) then closeps

;stop

  PS=1
  io_nc = '/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/'
  ps_dir=io_nc+'PS_PAPER/'
  model='FSU-HYCOM high res.'
  expt='GLBb0.08-039'

  ;; low resolution
   var='ssh'
   file='meanvar_'+var+'_5d_xy_GLBb0.08-039_fsu.nc'
   mean_sst=ncdf_lec(io_nc+'FSU/'+file,var='mean_'+var)
   mean_sst[where(mean_sst GT 1e20)]=!values.f_nan
   area=e1t*e2t*tmask[*,*,0]
   mssh1=total(mean_sst*area,/nan)/total(area)
     help, mssh1

  diff_ssh=(mean_sst-mssh1)-(ssh_obs-mssh)*1e-2


   ;; PLot
  bbox=[0,360,-78,89]
   if (PS EQ 1 ) then openps,ps_dir+'mean_sshbias_5d_GLBb0.08_1993-2018.ps'
   plt,diff_ssh,box=bbox,lct=64,small=[1,2,1],/rempli,$
   title=model+' SSH bias 1993-2018',min=-0.5, max=0.5,/nocontour,window=1
   if (PS EQ 1 ) then closeps

;; NCAR
  ;; low resolution
    model='NCAR-POP hig res.'
    var='ssh'
    file='NCAR/NCAR_POP_HR/NEW/ssh_metrics.nc'
     mean_sst=ncdf_lec(io_nc+file,var='mssh')
     index_shift=-719
     mean_sst=shift(mean_sst,index_shift,0)
       mean_sst=mean_sst*1e-2

    area=e1t*e2t*tmask[*,*,0]
    mssh1=total(mean_sst*area,/nan)/total(area)
    help, mssh1
    diff_ssh=(mean_sst-mssh1)-(ssh_obs-mssh)*1e-2

    ;; PLot
     bbox=[0,360,-78,89]
     if (PS EQ 1 ) then openps,ps_dir+'mean_sshbias_5d_ncarhigh_1993-2018.ps'
     plt,diff_ssh,box=bbox,lct=64,small=[1,2,1],/rempli,$
    title=model+' SSH bias 1993-2018',min=-0.5, max=0.5,/nocontour,window=2
     if (PS EQ 1 ) then closeps

  ;stop
  ;; FESOM
  ;; low resolution
    model='AWI-FESOM high res.'
	   var='ssh'
	   file='FESOM/NEW/OMIP3/loop1/zos_variant2_SImon_FESOM1.4_historical_loop1_gr_198001-201812.nc'
		mean_sst=ncdf_lec(io_nc+file,var='zos_variant2')
		index_shift=-719
		mean_sst=shift(mean_sst,index_shift,0)
		mean_sst(where(mean_sst GT 1e10))=!values.f_nan
    area=e1t*e2t*tmask[*,*,0]
    mssh1=total(mean_sst*area,/nan)/total(area)
    help, mssh1
    diff_ssh=(mean_sst-mssh1)-(ssh_obs-mssh)*1e-2

	   ;; PLot
		bbox=[0,360,-78,89]
		if (PS EQ 1 ) then openps,ps_dir+'mean_sshbias_fesomhigh_1993-2018.ps'
		plt,diff_ssh,box=bbox,lct=64,small=[1,2,1],/rempli,$
	   title=model+' SSH bias 1993-2018',min=-0.5, max=0.5,/nocontour,window=3
		if (PS EQ 1 ) then closeps

;	stop
  ;; high resolution
    model='IAP-LICOM high res.'
     var='ssh'
     file='LICOM/High_res/ssh_1993-2018_5days-mean.nc'
     mean_sst=ncdf_lec(io_nc+file,var='z0')
     mean_sst[where(mean_sst GT 1e20)]=!values.f_nan
  		 index_shift=-719
  		  mean_sst=shift(mean_sst,index_shift,0)


     area=e1t*e2t*tmask[*,*,0]
     mssh1=total(mean_sst*area,/nan)/total(area)
     help, mssh1
     diff_ssh=(mean_sst-mssh1)-(ssh_obs-mssh)*1e-2

    ;; PLot
     bbox=[0,360,-78,89]
     if (PS EQ 1 ) then openps,ps_dir+'mean_sshbias_5d_licomhigh_1993-2018.ps'
     plt,diff_ssh,box=bbox,lct=64,small=[1,2,1],/rempli,$
    title=model+' Mean SSH 1993-2018',min=-0.5, max=0.5,/nocontour,window=4
     if (PS EQ 1 ) then closeps

  stop


end
