PRO plot_strmfz_licom_jrpaper8

   close, /all
   ;; Domain
   nk=61L
   PS=1
   ps_dir='/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/PS_PAPER/LICOM/'

   ;; PATH
   io='/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/LICOM/update2/'

   ;; plot
   file='msftmyz-mean-regular-grid_High-res.nc'
   lati = ncdf_lec(io+file, var = 'lat' )
   depth = ncdf_lec(io+file, var = 'lev' )
   mean_amoc=ncdf_lec(io+file,var='msftmyz')
   mean_amoc[where(mean_amoc GE 1e10)]=!values.f_nan
   file='msftmyz-std-regular-grid_High-res.nc'
   stdv_amoc=ncdf_lec(io+file,var='msftmyz')
   stdv_amoc[where(stdv_amoc GE 1e10)]=!values.f_nan

   ;; let's plot the Atlantic streamfunction
   levels = 20
   Maxss = 22 & Minss = -8.
   step = (Maxss - Minss) / levels
   userLevels = IndGen(levels) * step + Minss
   LCT, 64, NColors=levels, Bottom=3

   ind = where(mean_amoc LE Minss )
   IF (ind NE [-1]) THEN mean_amoc(ind) = Minss


   if (PS EQ 1) then openps,ps_dir+'meanvar_amoc_yz_LICOMHR_1980-2018.ps'
   scontour, mean_amoc,lati, -depth,  xstyle = 1, ystyle = 1, cell_fill=2, petit = [1, 2, 1],$
    Levels=userLevels, Color=!P.Color, Background=!P.Background, charsize = 1, /rempli, $
    C_Colors=IndGen(levels) + 3, yrange = [6500, 0], xrange = [-30., 80.], xtickinterval = 20, $
    ytitle = 'Depth', title = ' IAP-LICOM High res. Mean Atlantic Streamfunction JRA55 1980-2018', /portrait, window = 1
   scontour, mean_amoc,lati, -depth, /overplot, Levels=userLevels, color = 0.

   ColorBar2, Divisions=levels, Range=[Minss, Maxss], Format='(f4.1)', $
    Position = [0.1365, 0.54, 0.92, 0.56], Color=!P.Color, $
    NColors=levels, Bottom=3   ;; let's plot the global streamfunction

   ;; let's plot the Atlantic streamfunction
   levels = 20
   Maxss = 6 & Minss = 0.
   step = (Maxss - Minss) / levels
   userLevels = IndGen(levels) * step + Minss
   LCT, 64, NColors=levels, Bottom=3

   ;ind = where(vari_amoc GE  Maxss )
   ;IF (ind NE [-1]) THEN vari_amoc(ind) = Maxss

   scontour, stdv_amoc,lati, -depth,  xstyle = 1, ystyle = 1, cell_fill=2, petit = [1, 2, 2],$
    Levels=userLevels, Color=!P.Color, Background=!P.Background, charsize = 1, /rempli, $
    C_Colors=IndGen(levels) + 3, yrange = [6500, 0], xrange = [-30., 80.], xtickinterval = 20, $
    ytitle = 'Depth', title = 'IAP-LICOM High res. Standard Dev. Atlantic Streamfunction JRA55 1980-2018', /portrait, window = 1,/noerase
   scontour, stdv_amoc,lati, -depth, /overplot, Levels=userLevels, color = 0.

   ColorBar2, Divisions=levels, Range=[Minss, Maxss], Format='(f3.1)', $
    Position = [0.1365, 0.08, 0.92, 0.10], Color=!P.Color, $
    NColors=levels,Bottom=3  ;; let's plot the global streamfunction
    if (PS EQ 1) then  closeps

stop

end
