PRO plot_strmfz_ncar_jrpaper8

   close, /all
   ;; Domain
   idm = 500L &  jdm = 395L
   jpj=395L
   nk=63L
   PS=1
   ps_dir='/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/PS_PAPER/NCAR/'

   ;; PATH
   io='/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/NCAR/NCAR_POP_HR/NEW/'

   ;; read amoc files
   mean_amoc=fltarr(jpj,nk)
   vari_amoc=fltarr(jpj,nk)
   stdv_amoc=fltarr(jpj,nk)
   openr,1,io+'amoc_meanvar_mon_NCAR_1980-2018.dat'
   readu,1,mean_amoc,vari_amoc,stdv_amoc
   close,1

   ;; plot
   file='moc_monthly_1980-2018_mon.nc'
   lati = ncdf_lec(io+file, var = 'lat_aux_grid' )
   depth = ncdf_lec(io+file, var = 'moc_z' )
   depth=depth*1e-2

   ;; let's plot the Atlantic streamfunction
   levels = 20
   Maxss = 22 & Minss = -8.
   step = (Maxss - Minss) / levels
   userLevels = IndGen(levels) * step + Minss
   LCT, 64, NColors=levels, Bottom=3

   ind = where(mean_amoc LE Minss )
   IF (ind NE [-1]) THEN mean_amoc(ind) = Minss


   if (PS EQ 1) then openps,ps_dir+'meanvar_amoc_yz_NCARHR_1980-2018.ps'
   scontour, mean_amoc,lati, depth,  xstyle = 1, ystyle = 1, cell_fill=2, petit = [1, 2, 1],$
    Levels=userLevels, Color=!P.Color, Background=!P.Background, charsize = 1, /rempli, $
    C_Colors=IndGen(levels) + 3, yrange = [6500, 0], xrange = [-30., 80.], xtickinterval = 20, $
    ytitle = 'Depth', title = ' NCAR high res. Mean Atlantic Streamfunction JRA55 1980-2018', /portrait, window = 1
   scontour, mean_amoc,lati, depth, /overplot, Levels=userLevels, color = 0.

   ColorBar2, Divisions=levels, Range=[Minss, Maxss], Format='(f4.1)', $
    Position = [0.1365, 0.54, 0.92, 0.56], Color=!P.Color, $
    NColors=levels, Bottom=3   ;; let's plot the global streamfunction

   ;; let's plot the Atlantic streamfunction
   levels = 20
   Maxss = 6 & Minss = 0.
   step = (Maxss - Minss) / levels
   userLevels = IndGen(levels) * step + Minss
   LCT, 64, NColors=levels, Bottom=3

   ;ind = where(vari_amoc GE  Maxss )
   ;IF (ind NE [-1]) THEN vari_amoc(ind) = Maxss

   scontour, stdv_amoc,lati, depth,  xstyle = 1, ystyle = 1, cell_fill=2, petit = [1, 2, 2],$
    Levels=userLevels, Color=!P.Color, Background=!P.Background, charsize = 1, /rempli, $
    C_Colors=IndGen(levels) + 3, yrange = [6500, 0], xrange = [-30., 80.], xtickinterval = 20, $
    ytitle = 'Depth', title = 'NCAR high res. Standard Dev. Atlantic Streamfunction JRA55 1980-2018', /portrait, window = 1,/noerase
   scontour, stdv_amoc,lati, depth, /overplot, Levels=userLevels, color = 0.

   ColorBar2, Divisions=levels, Range=[Minss, Maxss], Format='(f3.1)', $
    Position = [0.1365, 0.08, 0.92, 0.10], Color=!P.Color, $
    NColors=levels,Bottom=3  ;; let's plot the global streamfunction
    if (PS EQ 1) then  closeps

stop

end
