PRO plot_ts_jrpaper,cal

close,/all

    ;; Read global ave T and S (Annual) CORE2 and JRA-55
    io='/home/abozec/IDL/WORK/DATA/'
    PS = 0
    io_nc = '/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/'
    ps_dir=io_nc+'PS_PAPER/'
	;; time period
	y1 = 1958 &  y2 = 2018
	ttot1 = (y2-y1+1)

    ;; global temp and sal low resolution
    ;; HYCOM
    io_hycom=io_nc+'FSU/'
    tem_low=ncdf_lec(io_hycom+'thetaoga_t_GLBt0.72-701_fsu.nc',var='thetaoga')
    sal_low=ncdf_lec(io_hycom+'soga_t_GLBt0.72-701_fsu.nc',var='soga')
    tem700_low=ncdf_lec(io_hycom+'thetao_0-700_t_GLBt0.72-701_fsu.nc',var='thetao')
    sal700_low=ncdf_lec(io_hycom+'so_0-700_t_GLBt0.72-701_fsu.nc',var='thetao')
    tem2000_low=ncdf_lec(io_hycom+'thetao_0-2000_t_GLBt0.72-701_fsu.nc',var='thetao')
    sal2000_low=ncdf_lec(io_hycom+'so_0-2000_t_GLBt0.72-701_fsu.nc',var='thetao')

    ;; NCAR
    io_ncar=io_nc+'NCAR/NCAR_POP_LR/'
    tem_low_ncar=ncdf_lec(io_ncar+'thetao_avg_ts.nc',var='thetaoga')
    sal_low_ncar=ncdf_lec(io_ncar+'so_avg_ts.nc',var='soga')
    tem700_low_ncar=ncdf_lec(io_ncar+'thetao_avg_ts.nc',var='thetaot700')
    sal700_low_ncar=ncdf_lec(io_ncar+'so_avg_ts.nc',var='sot700')
    tem2000_low_ncar=ncdf_lec(io_ncar+'thetao_avg_ts.nc',var='thetaot2000')
    sal2000_low_ncar=ncdf_lec(io_ncar+'so_avg_ts.nc',var='sot2000')

    ;; FESOM
    io_ncar=io_nc+'FESOM/OMIP3_LR/loop1/'
    tmp=ncdf_lec(io_ncar+'thetaoga_Oyr_FESOM1.4_historical_loop1_gr_195801-201812.nc',var='thetaoga')
    tem_low_fesom=reform(tmp[*,0])
    tmp=ncdf_lec(io_ncar+'soga_Oyr_FESOM1.4_historical_loop1_gr_195801-201812.nc',var='soga')
    sal_low_fesom=reform(tmp[*,0])
    tmp=ncdf_lec(io_ncar+'thetaoga_Oyr_FESOM1.4_historical_loop1_gr_195801-201812.nc',var='thetaoga')
    tem700_low_fesom=reform(tmp[*,1])
    tmp=ncdf_lec(io_ncar+'soga_Oyr_FESOM1.4_historical_loop1_gr_195801-201812.nc',var='soga')
    sal700_low_fesom=reform(tmp[*,1])
    tmp=ncdf_lec(io_ncar+'thetaoga_Oyr_FESOM1.4_historical_loop1_gr_195801-201812.nc',var='thetaoga')
    tem2000_low_fesom=reform(tmp[*,2])
    tmp=ncdf_lec(io_ncar+'soga_Oyr_FESOM1.4_historical_loop1_gr_195801-201812.nc',var='soga')
    sal2000_low_fesom=reform(tmp[*,2])

    ;; LICOM
    io_ncar=io_nc+'LICOM/Low_res/'
    tem_low_licom=ncdf_lec(io_ncar+'thetaoga_full-depth_annual-series.nc',var='thetaoga')
    sal_low_licom=ncdf_lec(io_ncar+'soga_full-depth_annual-series.nc',var='soga')
    tem700_low_licom=ncdf_lec(io_ncar+'thetaoga_0-700m_annual-series.nc',var='thetaoga')
    sal700_low_licom=ncdf_lec(io_ncar+'soga_0-700m_annual-series.nc',var='soga')
    tem2000_low_licom=ncdf_lec(io_ncar+'thetaoga_0-2000m_annual-series.nc',var='thetaoga')
    sal2000_low_licom=ncdf_lec(io_ncar+'soga_0-2000m_annual-series.nc',var='soga')


    ;; global temp and sal high resolution
    ;; HYCOM
    tem_high=ncdf_lec(io_hycom+'thetaoga_t_GLBb0.08-039_fsu.nc',var='thetaoga')
    sal_high=ncdf_lec(io_hycom+'soga_t_GLBb0.08-039_fsu.nc',var='soga')
    tem700_high=ncdf_lec(io_hycom+'thetao_0-700_t_GLBb0.08-039_fsu.nc',var='thetao')
    sal700_high=ncdf_lec(io_hycom+'so_0-700_t_GLBb0.08-039_fsu.nc',var='thetao')
    tem2000_high=ncdf_lec(io_hycom+'thetao_0-2000_t_GLBb0.08-039_fsu.nc',var='thetao')
    sal2000_high=ncdf_lec(io_hycom+'so_0-2000_t_GLBb0.08-039_fsu.nc',var='thetao')

    ;; NCAR
    io_ncar=io_nc+'NCAR/NCAR_POP_HR/'
    tem_high_ncar=ncdf_lec(io_ncar+'thetao_avg_ts.nc',var='thetaoga')
    sal_high_ncar=ncdf_lec(io_ncar+'so_avg_ts.nc',var='soga')
    tem700_high_ncar=ncdf_lec(io_ncar+'thetao_avg_ts.nc',var='thetaot700')
    sal700_high_ncar=ncdf_lec(io_ncar+'so_avg_ts.nc',var='sot700')
    tem2000_high_ncar=ncdf_lec(io_ncar+'thetao_avg_ts.nc',var='thetaot2000')
    sal2000_high_ncar=ncdf_lec(io_ncar+'so_avg_ts.nc',var='sot2000')

    ;; FESOM
    io_ncar=io_nc+'FESOM/OMIP3/loop1/'
    tmp=ncdf_lec(io_ncar+'thetaoga_Oyr_FESOM1.4_historical_loop1_gr_195801-201812.nc',var='thetaoga')
    tem_high_fesom=reform(tmp[*,0])
    tmp=ncdf_lec(io_ncar+'soga_Oyr_FESOM1.4_historical_loop1_gr_195801-201812.nc',var='soga')
    sal_high_fesom=reform(tmp[*,0])
    tmp=ncdf_lec(io_ncar+'thetaoga_Oyr_FESOM1.4_historical_loop1_gr_195801-201812.nc',var='thetaoga')
    tem700_high_fesom=reform(tmp[*,1])
    tmp=ncdf_lec(io_ncar+'soga_Oyr_FESOM1.4_historical_loop1_gr_195801-201812.nc',var='soga')
    sal700_high_fesom=reform(tmp[*,1])
    tmp=ncdf_lec(io_ncar+'thetaoga_Oyr_FESOM1.4_historical_loop1_gr_195801-201812.nc',var='thetaoga')
    tem2000_high_fesom=reform(tmp[*,2])
    tmp=ncdf_lec(io_ncar+'soga_Oyr_FESOM1.4_historical_loop1_gr_195801-201812.nc',var='soga')
    sal2000_high_fesom=reform(tmp[*,2])

    ;; LICOM
    io_ncar=io_nc+'LICOM/High_res/'
    tem_high_licom=ncdf_lec(io_ncar+'thetaoga_full-depth_annual-series.nc',var='thetaoga')
    sal_high_licom=ncdf_lec(io_ncar+'soga_full-depth_annual-series.nc',var='soga')
    tem700_high_licom=ncdf_lec(io_ncar+'thetaoga_0-700m_annual-series.nc',var='thetaoga')
    sal700_high_licom=ncdf_lec(io_ncar+'soga_0-700m_annual-series.nc',var='soga')
    tem2000_high_licom=ncdf_lec(io_ncar+'thetaoga_0-2000m_annual-series.nc',var='thetaoga')
    sal2000_high_licom=ncdf_lec(io_ncar+'soga_0-2000m_annual-series.nc',var='soga')


    case (cal) of

    1:begin
	;; plot
	timey_jra55 = dindgen(ttot1) +1958
    lct,39

    IF ( PS EQ 1) then openps, ps_dir+'ts_t_0-bottom_HYCOM-NCAR-FESOM-LICOM_1958-2018.ps'
	splot, timey_jra55, tem_high, xstyle = 1, ystyle = 1, yrange = [ 3.35, 3.95 ], ytitle = 'Temperature (C)', $
	title = 'Global Temperature' ,$
	 window = 2, petit = [2, 3, 1], /rempli, /portrait, xtitle='Time (year)',   thick = 2,/nodata
    oplot, timey_jra55, tem_high,color=50,thick=2
    oplot, timey_jra55, tem_low,color=50,linestyle=2,thick=2


    oplot, timey_jra55, tem_high_ncar,color=150,thick=2
    oplot, timey_jra55, tem_low_ncar,color=150,thick=2,linestyle=2

    oplot, timey_jra55, tem_high_fesom,color=200,thick=2
    oplot, timey_jra55, tem_low_fesom,color=200,thick=2,linestyle=2

    oplot, timey_jra55, tem_high_licom,color=250,thick=2
    oplot, timey_jra55, tem_low_licom,color=250,thick=2,linestyle=2


    oplot,[1960,1965],[3.9,3.9],color=50, thick=2
    xyouts, 1967, 3.9,'FSU-HYCOM High resolution'
    oplot,[1960,1965],[3.85,3.85],color=50, thick=2,linestyle=2
    xyouts, 1967, 3.85,'FSU-HYCOM Low resolution'

    oplot,[1960,1965],[3.8,3.8],color=150, thick=2
    xyouts, 1967, 3.8,'NCAR-POP High resolution'
    oplot,[1960,1965],[3.75,3.75],color=150, thick=2,linestyle=2
    xyouts, 1967, 3.75,'NCAR-POP Low resolution'

    oplot,[1990,1995],[3.9,3.9],color=200, thick=2
    xyouts, 1997, 3.9,'AWI-FESOM High resolution'
    oplot,[1990,1995],[3.85,3.85],color=200, thick=2,linestyle=2
    xyouts, 1997, 3.85,'AWI-FESOM Low resolution'

    oplot,[1990,1995],[3.8,3.8],color=250, thick=2
    xyouts, 1997, 3.8,'IAP-LICOM High resolution'
    oplot,[1990,1995],[3.75,3.75],color=250, thick=2,linestyle=2
    xyouts, 1997, 3.75,'IAP-LICOM Low resolution'


	splot, timey_jra55, sal_high, xstyle = 1, ystyle = 1, yrange = [ 34.71, 34.74 ], ytitle = 'Salinity (psu)', $
	 title = 'Global Salinity' ,$
	 window = 2, petit = [2, 3, 2], /rempli, /portrait, xtitle='Time (year)',   thick = 2, /noerase ,/nodata
    oplot, timey_jra55, sal_high,color=50,thick=2
    oplot, timey_jra55, sal_low,color=50,thick=2,linestyle=2

    oplot, timey_jra55, sal_high_ncar,color=150,thick=2
    oplot, timey_jra55, sal_low_ncar,color=150,thick=2,linestyle=2

    oplot, timey_jra55, sal_high_fesom,color=200,thick=2
    oplot, timey_jra55, sal_low_fesom,color=200,thick=2,linestyle=2

    oplot, timey_jra55, sal_high_licom,color=250,thick=2
    oplot, timey_jra55, sal_low_licom,color=250,thick=2,linestyle=2

	splot, timey_jra55, tem700_high, xstyle = 1, ystyle = 1, yrange = [ 9., 11.5], ytitle = 'Temperature (C)', $
	 title = '0-700m Temperature' ,$
	 window = 2, petit = [2, 3, 3], /rempli, /portrait, xtitle='Time (year)',   thick = 2, /noerase ,/nodata
    oplot, timey_jra55, tem700_high,color=50,thick=2
    oplot, timey_jra55, tem700_low,color=50,thick=2,linestyle=2

    oplot, timey_jra55, tem700_high_ncar,color=150,thick=2
    oplot, timey_jra55, tem700_low_ncar,color=150,thick=2,linestyle=2

    oplot, timey_jra55, tem700_high_fesom,color=200,thick=2
    oplot, timey_jra55, tem700_low_fesom,color=200,thick=2,linestyle=2

    oplot, timey_jra55, tem700_high_licom,color=250,thick=2
    oplot, timey_jra55, tem700_low_licom,color=250,thick=2,linestyle=2

	splot, timey_jra55, sal700_high, xstyle = 1, ystyle = 1, yrange = [ 34.70, 34.88 ], ytitle = 'Salinity (psu)', $
	 title = '0-700m Salinity' ,$
	 window = 2, petit = [2, 3, 4], /rempli, /portrait, xtitle='Time (year)',   thick = 2, /noerase ,/nodata
    oplot, timey_jra55, sal700_high,color=50,thick=2
    oplot, timey_jra55, sal700_low,color=50,thick=2,linestyle=2

    oplot, timey_jra55, sal700_high_ncar,color=150,thick=2
    oplot, timey_jra55, sal700_low_ncar,color=150,thick=2,linestyle=2

    oplot, timey_jra55, sal700_high_fesom,color=200,thick=2
    oplot, timey_jra55, sal700_low_fesom,color=200,thick=2,linestyle=2

    oplot, timey_jra55, sal700_high_licom,color=250,thick=2
    oplot, timey_jra55, sal700_low_licom,color=250,thick=2,linestyle=2

	splot, timey_jra55, tem2000_high, xstyle = 1, ystyle = 1, yrange = [ 5.5,6.5], ytitle = 'Temperature (C)', $
	 title = '0-2000m Temperature' ,$
	 window = 2, petit = [2, 3, 5], /rempli, /portrait, xtitle='Time (year)',   thick = 2, /noerase ,/nodata
    oplot, timey_jra55, tem2000_high,color=50,thick=2
    oplot, timey_jra55, tem2000_low,color=50,thick=2,linestyle=2

    oplot, timey_jra55, tem2000_high_ncar,color=150,thick=2
    oplot, timey_jra55, tem2000_low_ncar,color=150,thick=2,linestyle=2

    oplot, timey_jra55, tem2000_high_fesom,color=200,thick=2
    oplot, timey_jra55, tem2000_low_fesom,color=200,thick=2,linestyle=2

    oplot, timey_jra55, tem2000_high_licom,color=250,thick=2
    oplot, timey_jra55, tem2000_low_licom,color=250,thick=2,linestyle=2

	splot, timey_jra55, sal2000_high, xstyle = 1, ystyle = 1, yrange = [ 34.69, 34.78 ], ytitle = 'Salinity (psu)', $
	 title = '0-2000m Salinity' ,$
	 window = 2, petit = [2, 3, 6], /rempli, /portrait, xtitle='Time (year)',   thick = 2, /noerase ,/nodata
    oplot, timey_jra55, sal2000_high,color=50,thick=2
    oplot, timey_jra55, sal2000_low,color=50,thick=2,linestyle=2

    oplot, timey_jra55, sal2000_high_ncar,color=150,thick=2
    oplot, timey_jra55, sal2000_low_ncar,color=150,thick=2,linestyle=2

    oplot, timey_jra55, sal2000_high_fesom,color=200,thick=2
    oplot, timey_jra55, sal2000_low_fesom,color=200,thick=2,linestyle=2

    oplot, timey_jra55, sal2000_high_licom,color=250,thick=2
    oplot, timey_jra55, sal2000_low_licom,color=250,thick=2,linestyle=2
     IF ( PS EQ 1) then closeps
    end
    2:begin
	;; plot
	timey_jra55 = dindgen(ttot1) +1958
    lct,39

    IF ( PS EQ 1) then openps, ps_dir+'tsano_t_0-bottom_HYCOM-NCAR-FESOM-LICOM_1958-2018_bis.ps'
	splot, timey_jra55, tem_high, xstyle = 1, ystyle = 1, yrange = [ -0.1, 0.1 ], ytitle = 'Temperature (C)', $
	title = 'Global Temperature' ,$
	 window = 2, petit = [2, 3, 1], /rempli, /portrait, xtitle='Time (year)',   thick = 2,/nodata
    oplot, timey_jra55, tem_high-tem_high[0],color=50,thick=2
    oplot, timey_jra55, tem_low-tem_low[0],color=50,linestyle=2,thick=2

    oplot, timey_jra55, tem_high_ncar-tem_high_ncar[0],color=150,thick=2
    oplot, timey_jra55, tem_low_ncar-tem_low_ncar[0],color=150,thick=2,linestyle=2

    oplot, timey_jra55, tem_high_fesom-tem_high_fesom[0],color=200,thick=2
    oplot, timey_jra55, tem_low_fesom-tem_low_fesom[0],color=200,thick=2,linestyle=2

    oplot, timey_jra55, tem_high_licom-tem_high_licom[0],color=250,thick=2
    oplot, timey_jra55, tem_low_licom-tem_low_licom[0],color=250,thick=2,linestyle=2


    oplot, [1958,2018],[0,0],linestyle=1, thick=2


	splot, timey_jra55, sal_high, xstyle = 1, ystyle = 1, yrange = [ -0.01, 0.02 ], ytitle = 'Salinity (psu)', $
	 title = 'Global Salinity' ,$
	 window = 2, petit = [2, 3, 2], /rempli, /portrait, xtitle='Time (year)',   thick = 2, /noerase ,/nodata
    oplot, timey_jra55, sal_high-sal_high[0],color=50,thick=2
    oplot, timey_jra55, sal_low-sal_low[0],color=50,thick=2,linestyle=2

    oplot, timey_jra55, sal_high_ncar-sal_high_ncar[0],color=150,thick=2
    oplot, timey_jra55, sal_low_ncar-sal_low_ncar[0],color=150,thick=2,linestyle=2

    oplot, timey_jra55, sal_high_fesom-sal_high_fesom[0],color=200,thick=2
    oplot, timey_jra55, sal_low_fesom-sal_low_fesom[0],color=200,thick=2,linestyle=2

    oplot, timey_jra55, sal_high_licom-sal_high_licom[0],color=250,thick=2
    oplot, timey_jra55, sal_low_licom-sal_low_licom[0],color=250,thick=2,linestyle=2

    oplot, [1958,2018],[0,0],linestyle=1, thick=2


	splot, timey_jra55, tem700_high, xstyle = 1, ystyle = 1, yrange = [ -0.2, 0.6], ytitle = 'Temperature (C)', $
	 title = '0-700m Temperature' ,$
	 window = 2, petit = [2, 3, 3], /rempli, /portrait, xtitle='Time (year)',   thick = 2, /noerase ,/nodata
    oplot, timey_jra55, tem700_high-tem700_high[0],color=50,thick=2
    oplot, timey_jra55, tem700_low-tem700_low[0],color=50,thick=2,linestyle=2

    oplot, timey_jra55, tem700_high_ncar-tem700_high_ncar[0],color=150,thick=2
    oplot, timey_jra55, tem700_low_ncar-tem700_low_ncar[0],color=150,thick=2,linestyle=2

    oplot, timey_jra55, tem700_high_fesom-tem700_high_fesom[0],color=200,thick=2
    oplot, timey_jra55, tem700_low_fesom-tem700_low_fesom[0],color=200,thick=2,linestyle=2

    oplot, timey_jra55, tem700_high_licom-tem700_high_licom[0],color=250,thick=2
    oplot, timey_jra55, tem700_low_licom-tem700_low_licom[0],color=250,thick=2,linestyle=2

    oplot, [1958,2018],[0,0],linestyle=1, thick=2

	splot, timey_jra55, sal700_high, xstyle = 1, ystyle = 1, yrange = [ -0.1, 0.1 ], ytitle = 'Salinity (psu)', $
	 title = '0-700m Salinity' ,$
	 window = 2, petit = [2, 3, 4], /rempli, /portrait, xtitle='Time (year)',   thick = 2, /noerase ,/nodata
    oplot, timey_jra55, sal700_high-sal700_high[0],color=50,thick=2
    oplot, timey_jra55, sal700_low-sal700_low[0],color=50,thick=2,linestyle=2

    oplot, timey_jra55, sal700_high_ncar-sal700_high_ncar[0],color=150,thick=2
    oplot, timey_jra55, sal700_low_ncar-sal700_low_ncar[0],color=150,thick=2,linestyle=2

    oplot, timey_jra55, sal700_high_fesom-sal700_high_fesom[0],color=200,thick=2
    oplot, timey_jra55, sal700_low_fesom-sal700_low_fesom[0],color=200,thick=2,linestyle=2

    oplot, timey_jra55, sal700_high_licom-sal700_high_licom[0],color=250,thick=2
    oplot, timey_jra55, sal700_low_licom-sal700_low_licom[0],color=250,thick=2,linestyle=2

    oplot, [1958,2018],[0,0],linestyle=1, thick=2

	splot, timey_jra55, tem2000_high, xstyle = 1, ystyle = 1, yrange = [ -0.1,0.15], ytitle = 'Temperature (C)', $
	 title = '0-2000m Temperature' ,$
	 window = 2, petit = [2, 3, 5], /rempli, /portrait, xtitle='Time (year)',   thick = 2, /noerase ,/nodata
    oplot, timey_jra55, tem2000_high-tem2000_high[0],color=50,thick=2
    oplot, timey_jra55, tem2000_low-tem2000_low[0],color=50,thick=2,linestyle=2

    oplot, timey_jra55, tem2000_high_ncar-tem2000_high_ncar[0],color=150,thick=2
    oplot, timey_jra55, tem2000_low_ncar-tem2000_low_ncar[0],color=150,thick=2,linestyle=2

    oplot, timey_jra55, tem2000_high_fesom-tem2000_high_fesom[0],color=200,thick=2
    oplot, timey_jra55, tem2000_low_fesom-tem2000_low_fesom[0],color=200,thick=2,linestyle=2

    oplot, timey_jra55, tem2000_high_licom-tem2000_high_licom[0],color=250,thick=2
    oplot, timey_jra55, tem2000_low_licom-tem2000_low_licom[0],color=250,thick=2,linestyle=2

    oplot, [1958,2018],[0,0],linestyle=1, thick=2

	splot, timey_jra55, sal2000_high, xstyle = 1, ystyle = 1, yrange = [ -0.02, 0.025 ], ytitle = 'Salinity (psu)', $
	 title = '0-2000m Salinity' ,$
	 window = 2, petit = [2, 3, 6], /rempli, /portrait, xtitle='Time (year)',   thick = 2, /noerase ,/nodata
    oplot, timey_jra55, sal2000_high-sal2000_high[0],color=50,thick=2
    oplot, timey_jra55, sal2000_low-sal2000_low[0],color=50,thick=2,linestyle=2

    oplot, timey_jra55, sal2000_high_ncar-sal2000_high_ncar[0],color=150,thick=2
    oplot, timey_jra55, sal2000_low_ncar-sal2000_low_ncar[0],color=150,thick=2,linestyle=2

    oplot, timey_jra55, sal2000_high_fesom-sal2000_high_fesom[0],color=200,thick=2
    oplot, timey_jra55, sal2000_low_fesom-sal2000_low_fesom[0],color=200,thick=2,linestyle=2

    oplot, timey_jra55, sal2000_high_licom-sal2000_high_licom[0],color=250,thick=2
    oplot, timey_jra55, sal2000_low_licom-sal2000_low_licom[0],color=250,thick=2,linestyle=2

    oplot, [1958,2018],[0,0],linestyle=1, thick=2


    oplot,[1960,1965],[-0.008,-0.008],color=50, thick=2
    xyouts, 1967, -0.008,'FSU-HYCOM High resolution'
    oplot,[1960,1965],[-0.01,-0.01],color=50, thick=2,linestyle=2
    xyouts, 1967, -0.01,'FSU-HYCOM Low resolution'

    oplot,[1960,1965],[-0.015,-0.015],color=150, thick=2
    xyouts, 1967, -0.015,'NCAR-POP High resolution'
    oplot,[1960,1965],[-0.017,-0.017],color=150, thick=2,linestyle=2
    xyouts, 1967, -0.017,'NCAR-POP Low resolution'

    oplot,[1990,1995],[-0.008,-0.008],color=200, thick=2
    xyouts, 1997, -0.008,'AWI-FESOM High resolution'
    oplot,[1990,1995],[-0.01,-0.01],color=200, thick=2,linestyle=2
    xyouts, 1997, -0.01,'AWI-FESOM Low resolution'

    oplot,[1990,1995],[-0.015,-0.015],color=250, thick=2
    xyouts, 1997, -0.015,'IAP-LICOM High resolution'
    oplot,[1990,1995],[-0.017,-0.017],color=250, thick=2,linestyle=2
    xyouts, 1997, -0.017,'IAP-LICOM Low resolution'


     IF ( PS EQ 1) then closeps

    endcase
    end

stop

end
