PRO plot_ts_yz_fesom_jrpaper


	;; Read mean and variance
    key_portrait = 1
    PS = 0
    io_nc = '/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/'
    ps_dir=io_nc+'PS_PAPER/FESOM/'
    model='AWI-FESOM Low res.'
 	;; low resolution
    file='thetao_variant2_bias_Oyr_FESOM1.4_historical_loop1_gr_195801-201812_basins.nc'
    tem=ncdf_lec(io_nc+'FESOM/NEW2/OMIP3_LR_ALEX/'+file,var='thetao_variant2_bias')
    tem=transpose(tem)
    file='so_variant2_bias_Oyr_FESOM1.4_historical_loop1_gr_195801-201812_basins.nc'
    sal=ncdf_lec(io_nc+'FESOM/NEW2/OMIP3_LR_ALEX/'+file,var='so_variant2_bias')
    sal=transpose(sal)

    depth=ncdf_lec(io_nc+'FESOM/NEW2/OMIP3_LR_ALEX/'+file,var='depth_coord')
    gdept=depth
    latitude=ncdf_lec(io_nc+'FESOM/NEW2/OMIP3_LR_ALEX/'+file,var='lat')

    basin=['Global','Atlantic','Indo-Pacific','4','5','Atlantic']
    b=1

        



   ;; plot  
   diff_glb=reform(tem[*,*,b])

   diffs_glb=reform(sal[*,*,b])

   ;; Temperature and Salinity range
   yt  = [-1.0, 32.] &  ys  = [34. , 36. ]
   yti = [-2.5 , 2.5 ] &  ysi = [-0.5,  0.5]
   zoom_dep = 1500.

   pos_top1=[0.1, 0.73, 0.85, 0.95]
   pos_top2=[0.1, 0.58, 0.85, 0.73]
   pos_c1  =[0.1, 0.525, 0.85, 0.54]

   pos_bot1=[0.1, 0.26, 0.85, 0.48]
   pos_bot2=[0.1, 0.11, 0.85, 0.26]
   pos_c2  =[0.1, 0.055, 0.85, 0.07]


  ;; Color Management
   levels = 20.
   max_val = yti(1) & min_val = yti(0)
   step = (max_val - min_val) / levels
   userLevels = IndGen(levels) * step + min_val
   stepc = step
   userLevelsc = userLevels
   lct, 64, NColors=levels, Bottom=3

   if (PS EQ 1) then  openps, ps_dir+'secdiff_TS_'+basin[b]+'_fesomlow_1980-2018.ps'
   ;; Temperature
   ;; zoomed part
    scontour,  diff_glb, latitude, gdept, cell_fill=1,window = 1, $
     Position=pos_top1, yrange = [zoom_dep,0], xrange = [-80, 80],  $
     Levels=userLevels, Color=!P.Color, Background=!P.Background, C_Colors=IndGen(levels) + 3, $
     charsize = 1, /rempli,  xtickinterval = 300, /portrait,  $
     ytitle='Depth (m)', title = basin[b]+' Temperature 1980-2018 mean bias '+model
    scontour, diff_glb, latitude, gdept, /overplot, Levels=userLevelsc, color = 0.
   ;; lower part
    scontour,  diff_glb, latitude, gdept, xstyle = 1, ystyle = 1, cell_fill=1,window = 1, $
     Position=pos_top2, yrange = [6500, zoom_dep], xrange = [-80, 80],  $
     Levels=userLevels, Color=!P.Color, Background=!P.Background, C_Colors=IndGen(levels) + 3, $
     charsize = 1, /rempli,  xtickinterval = 20, /portrait, /noerase,$
     xtitle = 'Latitude (N)'
    scontour, diff_glb, latitude, gdept, /overplot, Levels=userLevelsc, color = 0.

    ColorBar2, Divisions=levels/2, Range=[min_val, max_val], Format='(f5.2)', $
     Position = pos_c1, Color=!P.Color, $
     NColors=levels, Bottom=3

   ;; Salinity
   levels = 20.
   max_val = ysi(1) & min_val = ysi(0)
   step = (max_val - min_val) / levels
   userLevels = IndGen(levels) * step + min_val
   stepc = step
   userLevelsc = userLevels
   lct, 64, NColors=levels, Bottom=3

   ;; zoomed part
    scontour,  diffs_glb, latitude, gdept, cell_fill=1,window = 1, $
     Position=pos_bot1, yrange = [zoom_dep,0], xrange = [-80, 80],  $
     Levels=userLevels, Color=!P.Color, Background=!P.Background, C_Colors=IndGen(levels) + 3, $
     charsize = 1, /rempli,  xtickinterval = 300, /portrait,  $
     ytitle='Depth (m)', title = basin[b]+' Salinity 1980-2018 mean bias '+model,/noerase
    scontour, diffs_glb, latitude, gdept, /overplot, Levels=userLevelsc, color = 0.
   ;; lower part
    scontour,  diffs_glb, latitude, gdept, xstyle = 1, ystyle = 1, cell_fill=1,window = 1, $
     Position=pos_bot2, yrange = [6500, zoom_dep], xrange = [-80, 80],  $
     Levels=userLevels, Color=!P.Color, Background=!P.Background, C_Colors=IndGen(levels) + 3, $
     charsize = 1, /rempli,  xtickinterval = 20, /portrait, /noerase,$
     xtitle = 'Latitude (N)'
    scontour, diffs_glb, latitude, gdept, /overplot, Levels=userLevelsc, color = 0.

    ColorBar2, Divisions=levels/2, Range=[min_val, max_val], Format='(f5.2)', $
     Position = pos_c2, Color=!P.Color, $
     NColors=levels, Bottom=3


   if (PS EQ 1) then  closeps


   stop

end 
