PRO read_ssha_jrpaper

   close, /all

   ;; HYCOM
   ;; PATH high res
   io_nc = '/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/FSU/'
   file='sshsteric_annual_t_GLBb0.08-039_fsu.nc'
   ssha_high=ncdf_lec(io_nc+file,var='zostoga')

   ;; PATH low res
   io_nc = '/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/FSU/'
   file='sshsteric_annual_t_GLBt0.72-701_fsu.nc'
   ssha_low=ncdf_lec(io_nc+file,var='zostoga')
   ttot=n_elements(ssha_low)

   ;; NCAR
   ;; PATH high res
   io_nc = '/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/NCAR/NCAR_POP_HR/'
   file='NCAR_POP_HR_zostoga_Oyr_0001-0061.nc'
   ssha_high_ncar=ncdf_lec(io_nc+file,var='zostoga')
   ssha_high_ncar=ssha_high_ncar*1e-2

   ;; PATH low res
   io_nc = '/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/NCAR/NCAR_POP_LR/'
   file='NCAR_POP_LR_zostoga_Oyr_0001-0061.nc'
   ssha_low_ncar=ncdf_lec(io_nc+file,var='zostoga')
   ssha_low_ncar=ssha_low_ncar*1e-2

   ;; FESOM
   ;; PATH high res
   io_nc = '/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/FESOM/OMIP3/loop1//'
   file='zostoga_Oyr_FESOM1.4_historical_loop1_gr_195801-201812.nc'
   ssha_high_fesom=ncdf_lec(io_nc+file,var='zostoga')

   ;; PATH low res
   io_nc = '/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/FESOM/OMIP3_LR/loop1//'
   file='zostoga_Oyr_FESOM1.4_historical_loop1_gr_195801-201812.nc'
   ssha_low_fesom=ncdf_lec(io_nc+file,var='zostoga')

   ;; LICOM
   ;; PATH high res
   io_nc = '/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/LICOM/High_res/'
   file='steric-ssh_annual-series.nc'
   ssha_high_licom=ncdf_lec(io_nc+file,var='gssl')

   ;; PATH low res
   io_nc = '/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/LICOM/Low_res/'
   file='steric-ssh_annual-series.nc'
   ssha_low_licom=ncdf_lec(io_nc+file,var='gssl')

	;; Plot Max transport
    PS = 0
    ps_dir='/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/PS_PAPER/'
	temps = findgen(ttot)+1958
	print, ttot

    lct, 39
    IF ( PS EQ 1) then openps, ps_dir+'steric_t_HYCOM-NCAR-FESOM-LICOM_1958-2018.ps'
	splot, temps, ssha_high, xstyle = 1, ystyle = 1, yrange = [ -0.06, 0.06], $
	ytitle = 'SSH (m)', title = 'Steric Sea Surface Height' ,$
	 window = 1, petit = [1, 3, 1], /rempli, /portrait,/nodata
    oplot, temps,ssha_high,color=50, thick=2
    oplot, temps,ssha_low,color=50, thick=2,linestyle=2

    oplot, temps,ssha_high_ncar,color=150, thick=2
    oplot, temps,ssha_low_ncar,color=150, thick=2,linestyle=2

    oplot, temps,ssha_high_fesom,color=200, thick=2
    oplot, temps,ssha_low_fesom,color=200, thick=2,linestyle=2

    oplot, temps,ssha_high_licom,color=250, thick=2
    oplot, temps,ssha_low_licom,color=250, thick=2,linestyle=2


    oplot, [1958,2018],[0,0],linestyle=1,thick=2
	
	oplot, [1960,1963],[-0.04,-0.04],color=50, thick=2
    xyouts, 1964,-0.04,'HYCOM high res'
	oplot, [1960,1963],[-0.05,-0.05],color=50, thick=2,linestyle=2
    xyouts, 1964,-0.05,'HYCOM low res'

	oplot, [1975,1978],[-0.04,-0.04],color=150, thick=2
    xyouts, 1979,-0.04,'NCAR high res'
	oplot, [1975,1978],[-0.05,-0.05],color=150, thick=2,linestyle=2
    xyouts, 1979,-0.05,'NCAR low res'

	oplot, [1990,1993],[-0.04,-0.04],color=200, thick=2
    xyouts, 1994,-0.04,'FESOM high res'
	oplot, [1990,1993],[-0.05,-0.05],color=200, thick=2,linestyle=2
    xyouts, 1994,-0.05,'FESOM low res'

	oplot, [2005,2008],[-0.04,-0.04],color=250, thick=2
    xyouts, 2009,-0.04,'LICOM high res'
	oplot, [2005,2008],[-0.05,-0.05],color=250, thick=2,linestyle=2
    xyouts, 2009,-0.05,'LICOM low res'


	splot, temps, ssha_high, xstyle = 1, ystyle = 1, yrange = [ -0.06, 0.06], $
	ytitle = 'SSH (m)', title = 'Steric Sea Surface Height Drift' ,$
	 window = 1, petit = [1, 3, 2], /rempli, /portrait,/nodata,/noerase
    oplot, temps,ssha_high-ssha_high[0],color=50, thick=2
    oplot, temps,ssha_low-ssha_low[0],color=50, thick=2,linestyle=2

    oplot, temps,ssha_high_ncar-ssha_high_ncar[0],color=150, thick=2
    oplot, temps,ssha_low_ncar-ssha_low_ncar[0],color=150, thick=2,linestyle=2

    oplot, temps,ssha_high_fesom-ssha_high_fesom[0],color=200, thick=2
    oplot, temps,ssha_low_fesom-ssha_low_fesom[0],color=200, thick=2,linestyle=2

    oplot, temps,ssha_high_licom-ssha_high_licom[0],color=250, thick=2
    oplot, temps,ssha_low_licom-ssha_low_licom[0],color=250, thick=2,linestyle=2

    oplot, [1958,2018],[0,0],linestyle=1,thick=2

	oplot, [1960,1963],[-0.04,-0.04],color=50, thick=2
    xyouts, 1964,-0.04,'HYCOM high res'
	oplot, [1960,1963],[-0.05,-0.05],color=50, thick=2,linestyle=2
    xyouts, 1964,-0.05,'HYCOM low res'

	oplot, [1975,1978],[-0.04,-0.04],color=150, thick=2
    xyouts, 1979,-0.04,'NCAR high res'
	oplot, [1975,1978],[-0.05,-0.05],color=150, thick=2,linestyle=2
    xyouts, 1979,-0.05,'NCAR low res'

	oplot, [1990,1993],[-0.04,-0.04],color=200, thick=2
    xyouts, 1994,-0.04,'FESOM high res'
	oplot, [1990,1993],[-0.05,-0.05],color=200, thick=2,linestyle=2
    xyouts, 1994,-0.05,'FESOM low res'

	oplot, [2005,2008],[-0.04,-0.04],color=250, thick=2
    xyouts, 2009,-0.04,'LICOM high res'
	oplot, [2005,2008],[-0.05,-0.05],color=250, thick=2,linestyle=2
    xyouts, 2009,-0.05,'LICOM low res'
	

     IF ( PS EQ 1) then closeps   

stop

end 
