PRO time_amoc26_jrpaper

close,/all

    ;; Read global ave T and S (Annual) CORE2 and JRA-55
    io='/home/abozec/IDL/WORK/DATA/'
    PS = 1
    io_nc = '/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/'
    ps_dir=io_nc+'PS_PAPER/'
	;; time period
	y1 = 1958 &  y2 = 2018
    ttot=y2-y1+1
	ttot1 = (y2-y1+1)*12

	;; HYCOM
    ;; high resolution
    amoc_high=ncdf_lec(io_nc+'FSU/amoc_rapid_t_GLBb0.08-039_fsu.nc',var='amoc_rapid')
    res=moment(amoc_high[552:731],SDEV=std)
    mean_high=res[0]
    std_high=std
    amoc_high12=fltarr(ttot)
    for t=0,ttot-1 do amoc_high12[t]=mean(amoc_high[t*12:(t+1)*12-1])

    ;; low resolution
    amoc_low=ncdf_lec(io_nc+'FSU/amoc_rapid_t_GLBt0.72-701_fsu.nc',var='amoc_rapid')
    res=moment(amoc_low[552:731],SDEV=std)
    mean_low=res[0]
    std_low=std
    amoc_low12=fltarr(ttot)
    for t=0,ttot-1 do amoc_low12[t]=mean(amoc_low[t*12:(t+1)*12-1])

	;; NCAR
    ;; high resolution
    amoc_high_ncar=ncdf_lec(io_nc+'NCAR/NCAR_POP_HR/NCAR_POP_HR_amoc_rapid_000101-006112.nc',var='amoc_rapid')
    res=moment(amoc_high_ncar[552:731],SDEV=std)
    mean_high_ncar=res[0]
    std_high_ncar=std
    amoc_high12_ncar=fltarr(ttot)
    for t=0,ttot-1 do amoc_high12_ncar[t]=mean(amoc_high_ncar[t*12:(t+1)*12-1])

    ;; low resolution
    amoc_low_ncar=ncdf_lec(io_nc+'NCAR/NCAR_POP_LR/NCAR_POP_LR_amoc_rapid_000101-006112.nc',var='amoc_rapid')
    res=moment(amoc_low_ncar[552:731],SDEV=std)
    mean_low_ncar=res[0]
    std_low_ncar=std
    amoc_low12_ncar=fltarr(ttot)
    for t=0,ttot-1 do amoc_low12_ncar[t]=mean(amoc_low_ncar[t*12:(t+1)*12-1])

	;; FESOM
    ;; high resolution
    amoc_high_fesom=ncdf_lec(io_nc+'FESOM/OMIP3/loop1/amoc_rapid_Omon_FESOM1.4_historical_loop1_gr_195801-201812.nc',var='amoc_rapid')
    res=moment(amoc_high_fesom[552:731],SDEV=std)
    mean_high_fesom=res[0]
    std_high_fesom=std
    amoc_high12_fesom=fltarr(ttot)
    for t=0,ttot-1 do amoc_high12_fesom[t]=mean(amoc_high_fesom[t*12:(t+1)*12-1])

    ;; low resolution
    amoc_low_fesom=ncdf_lec(io_nc+'FESOM/OMIP3_LR/loop1/amoc_rapid_Omon_FESOM1.4_historical_loop1_gr_195801-201812.nc',var='amoc_rapid')
    res=moment(amoc_low_fesom[552:731],SDEV=std)
    mean_low_fesom=res[0]
    std_low_fesom=std
    amoc_low12_fesom=fltarr(ttot)
    for t=0,ttot-1 do amoc_low12_fesom[t]=mean(amoc_low_fesom[t*12:(t+1)*12-1])

	;; LICOM
    ;; high resolution
    amoc_high_licom=ncdf_lec(io_nc+'LICOM/High_res/amoc_rapid_monthly-series.nc',var='amoc_rapid')
    res=moment(amoc_high_licom[552:731],SDEV=std)
    mean_high_licom=res[0]
    std_high_licom=std
    amoc_high12_licom=fltarr(ttot)
    for t=0,ttot-1 do amoc_high12_licom[t]=mean(amoc_high_licom[t*12:(t+1)*12-1])

    ;; low resolution
    amoc_low_licom=ncdf_lec(io_nc+'LICOM/Low_res/amoc_rapid_monthly-series.nc',var='amoc_rapid')
    res=moment(amoc_low_licom[552:731],SDEV=std)
    mean_low_licom=res[0]
    std_low_licom=std
    amoc_low12_licom=fltarr(ttot)
    for t=0,ttot-1 do amoc_low12_licom[t]=mean(amoc_low_licom[t*12:(t+1)*12-1])

    ;; plot amoc
    ;time=findgen(ttot1)/12. + 1958
;    time=findgen(ttot) + 1958
;    lct,39
;    IF ( PS EQ 1) then openps, ps_dir+'amoc26N_t_HYCOM_1958-2018.ps'
;    splot, time, amoc_high12, xstyle = 1, ystyle = 1, yrange = [0, 25], /portrait, petit = [1, 3, 1], /rempli, $
;    window = 1, thick=1, /nodata,$
;    xtitle = 'Time (Years)', ytitle = 'Streamfunction (Sv)',  title = ' FSU Max AMOC at 26N '
;    oplot,time,amoc_high12,color=50,thick=2
;    oplot,time,amoc_low12,color=50,thick=2,linestyle=2
;
;
;    oplot,[1958,2018],[10., 10.], color=0, linestyle=1,thick=2
;
;    oplot,[1960,1962],[8,8],color=50,thick=2
;    xyouts,1963,8, 'HYCOM high res GLBb0.08:'+string(mean_high,format='(f5.2)')+' +/- '+string(std_high,format='(f5.2)')+'Sv '
;    oplot,[1960,1962],[6,6],color=50,thick=2,linestyle=2
;    xyouts,1963,6, 'HYCOM low res GLBt0.72:'+string(mean_low,format='(f5.2)')+' +/- '+string(std_low,format='(f5.2)')+'Sv '
;
;
;    splot, time, amoc_high12, xstyle = 1, ystyle = 1, yrange = [0, 25], /portrait, petit = [1, 3, 2], /rempli, $
;    window = 1, thick=1, /nodata, /noerase, $
;    xtitle = 'Time (Years)', ytitle = 'Streamfunction (Sv)',  title = 'NCAR Max AMOC at 26N '
;    oplot,time,amoc_high12_ncar,color=150,thick=2
;    oplot,time,amoc_low12_ncar,color=150,thick=2,linestyle=2
;
;    oplot,[1958,2018],[10., 10.], color=0, linestyle=1,thick=2
;
;    oplot,[1960,1962],[8,8],color=150,thick=2
;    xyouts,1963,8, 'NCAR high res:'+string(mean_high_ncar,format='(f5.2)')+' +/- '+string(std_high_ncar,format='(f5.2)')+'Sv '
;    oplot,[1960,1962],[6,6],color=150,thick=2,linestyle=2
;    xyouts,1963,6, 'NCAR low res :'+string(mean_low_ncar,format='(f5.2)')+' +/- '+string(std_low_ncar,format='(f5.2)')+'Sv '
;
;
;    splot, time, amoc_high12, xstyle = 1, ystyle = 1, yrange = [0, 25], /portrait, petit = [1, 3, 3], /rempli, $
;    window = 1, thick=1, /nodata, /noerase, $
;    xtitle = 'Time (Years)', ytitle = 'Streamfunction (Sv)',  title = 'FESOM Max AMOC at 26N '
;    oplot,time,amoc_high12_fesom,color=200,thick=2
;    oplot,time,amoc_low12_fesom,color=200,thick=2,linestyle=2
;
;    oplot,[1958,2018],[10., 10.], color=0, linestyle=1,thick=2
;
;    oplot,[1960,1962],[8,8],color=200,thick=2
;    xyouts,1963,8, 'FESOM high res:'+string(mean_high_fesom,format='(f5.2)')+' +/- '+string(std_high_fesom,format='(f5.2)')+'Sv '
;    oplot,[1960,1962],[6,6],color=200,thick=2,linestyle=2
;    xyouts,1963,6, 'FESOM low res :'+string(mean_low_fesom,format='(f5.2)')+' +/- '+string(std_low_fesom,format='(f5.2)')+'Sv '
;
;
;    IF ( PS EQ 1) then closeps

    ;; Observations AMOC -RAPID
    io='/Net/yucatan/abozec/MOC_DATA/'
    file='moc_transports.nc'
    moc=ncdf_lec(io+file,var='moc_mar_hc10')
    ;time_rapid=ncdf_lec(io+file,var='time')
    ;; time 2005/01/01 : 549
    moc_rapid=fltarr(13)
    n=549
    for t=0,12 do begin 
      moc_rapid[t]=mean(moc[n:n+729])
      n=n+730
    endfor
    time_rapid=findgen(13)+2005


    ;; plot amoc
    ;time=findgen(ttot1)/12. + 1958
    time=findgen(ttot) + 1958
    lct,39
    IF ( PS EQ 1) then openps, ps_dir+'amoc26N_t_HYCOM-NCAR-FESOM-LICOM-Obs_1958-2018.ps'
    splot, time, amoc_high12, xstyle = 1, ystyle = 1, yrange = [0, 30], /portrait, petit = [1, 3, 1], /rempli, $
    window = 2, thick=1, /nodata,$
    xtitle = 'Time (Years)', ytitle = 'Streamfunction (Sv)',  title = '  AMOC RAPID at 26N '
    oplot,time_rapid,moc_rapid,color=0,thick=2

    oplot,time,amoc_high12,color=50,thick=2
    oplot,time,amoc_low12,color=50,thick=2,linestyle=2

    oplot,time,amoc_high12_ncar,color=150,thick=2
    oplot,time,amoc_low12_ncar,color=150,thick=2,linestyle=2

    oplot,time,amoc_high12_fesom,color=200,thick=2
    oplot,time,amoc_low12_fesom,color=200,thick=2,linestyle=2

    oplot,time,amoc_high12_licom,color=250,thick=2
    oplot,time,amoc_low12_licom,color=250,thick=2,linestyle=2

    oplot,[1958,2018],[10., 10.], color=0, linestyle=1,thick=2

    plot, time, amoc_high12,  yrange = [0, 25],  $
    /noerase,/nodata,position=[0.1,0.4,0.9,0.65]

    oplot,[1960,1962],[24,24],color=50,thick=2
    xyouts,1963,24, 'HYCOM high res:'+string(mean_high,format='(f5.2)')+' +/- '+string(std_high,format='(f5.2)')+'Sv '
    oplot,[1960,1962],[22,22],color=50,thick=2,linestyle=2
    xyouts,1963,22, 'HYCOM low res:'+string(mean_low,format='(f5.2)')+' +/- '+string(std_low,format='(f5.2)')+'Sv '

    oplot,[1960,1962],[20,20],color=150,thick=2
    xyouts,1963,20, 'NCAR high res:'+string(mean_high_ncar,format='(f5.2)')+' +/- '+string(std_high_ncar,format='(f5.2)')+'Sv '
    oplot,[1960,1962],[18,18],color=150,thick=2,linestyle=2
    xyouts,1963,18, 'NCAR low res:'+string(mean_low_ncar,format='(f5.2)')+' +/- '+string(std_low_ncar,format='(f5.2)')+'Sv '

    oplot,[1960,1962],[16,16],color=200,thick=2
    xyouts,1963,16, 'FESOM high res:'+string(mean_high_fesom,format='(f5.2)')+' +/- '+string(std_high_fesom,format='(f5.2)')+'Sv '
    oplot,[1960,1962],[14,14],color=200,thick=2,linestyle=2
    xyouts,1963,14, 'FESOM low res:'+string(mean_low_fesom,format='(f5.2)')+' +/- '+string(std_low_fesom,format='(f5.2)')+'Sv '

    oplot,[1960,1962],[12,12],color=250,thick=2
    xyouts,1963,12, 'LICOM high res:'+string(mean_high_licom,format='(f5.2)')+' +/- '+string(std_high_licom,format='(f5.2)')+'Sv '
    oplot,[1960,1962],[10,10],color=250,thick=2,linestyle=2
    xyouts,1963,10, 'LICOM low res:'+string(mean_low_licom,format='(f5.2)')+' +/- '+string(std_low_licom,format='(f5.2)')+'Sv '

    IF ( PS EQ 1) then closeps



stop

end 
