PRO time_ke_jrpaper

close,/all
    key_portrait=1
    ;; Read global ave T and S (Annual) CORE2 and JRA-55
    io='/home/abozec/IDL/WORK/DATA/'
    PS = 1
    io_nc = '/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/'
    ps_dir=io_nc+'PS_PAPER/'
	;; time period
	y1 = 1958 &  y2 = 2018
    ttot=y2-y1+1
	ttot1 = (y2-y1+1)*12

	;; HYCOM
    ;; high resolution
    ke_high=ncdf_lec(io_nc+'FSU/ke_t_GLBb0.08-039_fsu.nc',var='ke')
    res=moment(ke_high[552:731],SDEV=std)
    mean_high=res[0]
    std_high=std
    ke_high12=fltarr(ttot)
    for t=0,ttot-1 do ke_high12[t]=mean(ke_high[t*12:(t+1)*12-1])

    ;; low resolution
    ke_low=ncdf_lec(io_nc+'FSU/ke_t_GLBt0.72-701_fsu.nc',var='ke')
    res=moment(ke_low[552:731],SDEV=std)
    mean_low=res[0]
    std_low=std
    ke_low12=fltarr(ttot)
    for t=0,ttot-1 do ke_low12[t]=mean(ke_low[t*12:(t+1)*12-1])

    ;; LICOM
    ;; high resolution
    ke_high_licom=ncdf_lec(io_nc+'LICOM/High_res/ke_integrated_1958-2018_monthly-series.nc',var='ke_integrated_globalmean')
    ke_high_licom=ke_high_licom*1e4
    res=moment(ke_high_licom[552:731],SDEV=std)
    mean_high_licom=res[0]
    std_high_licom=std
    ke_high12_licom=fltarr(ttot)
    for t=0,ttot-1 do ke_high12_licom[t]=mean(ke_high_licom[t*12:(t+1)*12-1])

    ;; low resolution
    ke_low_licom=ncdf_lec(io_nc+'LICOM/Low_res/ke_integrated_1958-2018_monthly-series.nc',var='ke_integrated')
    ke_low_licom=ke_low_licom*1e4
    res=moment(ke_low_licom[552:731],SDEV=std)
    mean_low_licom=res[0]
    std_low_licom=std
    ke_low12_licom=fltarr(ttot)
    for t=0,ttot-1 do ke_low12_licom[t]=mean(ke_low_licom[t*12:(t+1)*12-1])


	;; NCAR
    ;; high resolution
    ke_high_ncar=ncdf_lec(io_nc+'NCAR/NCAR_POP_HR/NEW/ke_gint_monthly_timeseries.nc',var='KE')
    res=moment(ke_high_ncar[552:731],SDEV=std)
    mean_high_ncar=res[0]
    std_high_ncar=std
    ke_high12_ncar=fltarr(ttot)
    for t=0,ttot-1 do ke_high12_ncar[t]=mean(ke_high_ncar[t*12:(t+1)*12-1])

   ;; low resolution
   ke_low_ncar=ncdf_lec(io_nc+'NCAR/NCAR_POP_LR/NEW/ke_gint_monthly_timeseries.nc',var='KE')
   res=moment(ke_low_ncar[552:731],SDEV=std)
   mean_low_ncar=res[0]
   std_low_ncar=std
   ke_low12_ncar=fltarr(ttot)
   for t=0,ttot-1 do ke_low12_ncar[t]=mean(ke_low_ncar[t*12:(t+1)*12-1])

	;; FESOM
   ;; high resolution
   ke_high_fesom=ncdf_lec(io_nc+'FESOM/NEW/OMIP3/loop1/ke_weighted_mean_variant2_SImon_FESOM1.4_historical_loop1_gr_198001-201812.nc',var='eke_weighted_mean_variant2')
   res=moment(ke_high_fesom[552:731],SDEV=std)
   mean_high_fesom=res[0]
   std_high_fesom=std
   ke_high12_fesom=fltarr(ttot)
   for t=0,ttot-1 do ke_high12_fesom[t]=mean(ke_high_fesom[t*12:(t+1)*12-1])

   ;; low resolution
   ke_low_fesom=ncdf_lec(io_nc+'FESOM/NEW/OMIP3_LR/loop1/ke_weighted_mean_variant2_SImon_FESOM1.4_historical_loop1_gr_198001-201812.nc',var='eke_weighted_mean_variant2')
   res=moment(ke_low_fesom[552:731],SDEV=std)
   mean_low_fesom=res[0]
   std_low_fesom=std
   ke_low12_fesom=fltarr(ttot)
   for t=0,ttot-1 do ke_low12_fesom[t]=mean(ke_low_fesom[t*12:(t+1)*12-1])


    ;; plot ke
    time=findgen(ttot1)/12. + 1958
   ;time=findgen(ttot) + 1958
   lct,39
   IF ( PS EQ 1) then openps, ps_dir+'ke_t_HYCOM-NCAR-FESOM-LICOM_1958-2018.ps'
   splot, time, ke_high, xstyle = 1, ystyle = 1, yrange = [0, 45], /portrait, petit = [1, 3, 1], /rempli, $
   window = 1, thick=1, /nodata,$
   xtitle = 'Time (Years)', ytitle = 'Kin. Energy (cm2/s2)',  title = ' FSU Kinetic Energy Global average'
   oplot,time,ke_high,color=50,thick=2
   oplot,time,ke_low,color=50,thick=2,linestyle=2

   ;; NCAR-POP
   oplot,time,ke_high_ncar,color=150,thick=2
   oplot,time,ke_low_ncar,color=150,thick=2,linestyle=2

   ;; AWI-FESOM
   oplot,time,ke_high_fesom,color=200,thick=2
   oplot,time,ke_low_fesom,color=200,thick=2,linestyle=2

   ;; LICOM
   oplot,time,ke_high_licom,color=250,thick=2
   oplot,time,ke_low_licom,color=250,thick=2,linestyle=2


   plot, time, ke_high,  yrange = [0, 25],  $
    /noerase,/nodata,position=[0.1,0.4,0.9,0.70]
   oplot,[1960,1962],[25,25],color=50,thick=2
   ;xyouts,1963,8, 'HYCOM high res:'+string(mean_high,format='(f5.2)')+' +/- '+string(std_high,format='(f5.2)')+'cm2/s2 '
   xyouts,1963,25, 'FSU-HYCOM high res.'
   oplot,[1960,1962],[23,23],color=50,thick=2,linestyle=2
   ;xyouts,1963,6, 'HYCOM low res:'+string(mean_low,format='(f5.2)')+' +/- '+string(std_low,format='(f5.2)')+'cm2/s2 '
   xyouts,1963,23, 'FSU-HYCOM low res.'

   oplot,[1960,1962],[20,20],color=150,thick=2
   xyouts,1963,20, 'NCAR-POP high res.'
   oplot,[1960,1962],[18,18],color=150,thick=2,linestyle=2
   xyouts,1963,18, 'NCAR-POP low res.'

   oplot,[1980,1982],[25,25],color=200,thick=2
   xyouts,1983,25, 'AWI-FESOM high res.'
   oplot,[1980,1982],[23,23],color=200,thick=2,linestyle=2
   xyouts,1983,23, 'AWI-FESOM low res.'


   oplot,[1980,1982],[20,20],color=250,thick=2
   xyouts,1983,20, 'IAP-LICOM high res.'
   oplot,[1980,1982],[18,18],color=250,thick=2,linestyle=2
   xyouts,1983,18, 'IAP-LICOM low res.'


;   splot, time, ke_high, xstyle = 1, ystyle = 1, yrange = [0, 50], /portrait, petit = [1, 3, 2], /rempli, $
;   window = 1, thick=1, /nodata, /noerase, $
;   xtitle = 'Time (Years)', ytitle = 'Kin. Energy (cm2/s2)',  title = 'NCAR Kinetic Energy Global average'
;   oplot,time,ke_high_ncar,color=150,thick=2
;   oplot,time,ke_low_ncar,color=150,thick=2,linestyle=2
;
;   oplot,[1958,2018],[10., 10.], color=0, linestyle=1,thick=2
;
;   oplot,[1960,1962],[8,8],color=150,thick=2
;   xyouts,1963,8, 'NCAR high res:'+string(mean_high_ncar,format='(f5.2)')+' +/- '+string(std_high_ncar,format='(f5.2)')+'Sv '
;   oplot,[1960,1962],[6,6],color=150,thick=2,linestyle=2
;   xyouts,1963,6, 'NCAR low res :'+string(mean_low_ncar,format='(f5.2)')+' +/- '+string(std_low_ncar,format='(f5.2)')+'Sv '
;
;
;   splot, time, ke_high, xstyle = 1, ystyle = 1, yrange = [0, 50], /portrait, petit = [1, 3, 3], /rempli, $
;   window = 1, thick=1, /nodata, /noerase, $
;   xtitle = 'Time (Years)', ytitle = 'Kin. Energy (cm2/s2)',  title = 'FESOM Kinetic Energy Global average '
;   oplot,time,ke_high_fesom,color=200,thick=2
;   oplot,time,ke_low_fesom,color=200,thick=2,linestyle=2
;
;   oplot,[1958,2018],[10., 10.], color=0, linestyle=1,thick=2
;
;   oplot,[1960,1962],[8,8],color=200,thick=2
;   xyouts,1963,8, 'FESOM high res:'+string(mean_high_fesom,format='(f5.2)')+' +/- '+string(std_high_fesom,format='(f5.2)')+'Sv '
;   oplot,[1960,1962],[6,6],color=200,thick=2,linestyle=2
;   xyouts,1963,6, 'FESOM low res :'+string(mean_low_fesom,format='(f5.2)')+' +/- '+string(std_low_fesom,format='(f5.2)')+'Sv '


   IF ( PS EQ 1) then closeps


    ;; plot ke
    ;time=findgen(ttot1)/12. + 1958
;    time=findgen(ttot) + 1958
;    lct,39
;    IF ( PS EQ 1) then openps, ps_dir+'ke26N_t_HYCOM-NCAR-FESOM_1958-2018.ps'
;    splot, time, ke_high12, xstyle = 1, ystyle = 1, yrange = [0, 25], /portrait, petit = [1, 3, 1], /rempli, $
;    window = 2, thick=1, /nodata,$
;    xtitle = 'Time (Years)', ytitle = 'Streamfunction (Sv)',  title = '  ke RAPID at 26N '
;    oplot,time,ke_high12,color=50,thick=2
;    oplot,time,ke_low12,color=50,thick=2,linestyle=2
;
;    oplot,time,ke_high12_ncar,color=150,thick=2
;    oplot,time,ke_low12_ncar,color=150,thick=2,linestyle=2
;
;    oplot,time,ke_high12_fesom,color=200,thick=2
;    oplot,time,ke_low12_fesom,color=200,thick=2,linestyle=2
;
;    oplot,[1958,2018],[10., 10.], color=0, linestyle=1,thick=2
;
;    plot, time, ke_high12,  yrange = [0, 25],  $
;    /noerase,/nodata,position=[0.1,0.4,0.9,0.65]
;
;    oplot,[1960,1962],[24,24],color=50,thick=2
;    xyouts,1963,24, 'HYCOM high res:'+string(mean_high,format='(f5.2)')+' +/- '+string(std_high,format='(f5.2)')+'Sv '
;    oplot,[1960,1962],[22,22],color=50,thick=2,linestyle=2
;    xyouts,1963,22, 'HYCOM low res:'+string(mean_low,format='(f5.2)')+' +/- '+string(std_low,format='(f5.2)')+'Sv '
;
;    oplot,[1960,1962],[20,20],color=150,thick=2
;    xyouts,1963,20, 'NCAR high res:'+string(mean_high_ncar,format='(f5.2)')+' +/- '+string(std_high_ncar,format='(f5.2)')+'Sv '
;    oplot,[1960,1962],[18,18],color=150,thick=2,linestyle=2
;    xyouts,1963,18, 'NCAR low res:'+string(mean_low_ncar,format='(f5.2)')+' +/- '+string(std_low_ncar,format='(f5.2)')+'Sv '
;
;    oplot,[1960,1962],[16,16],color=200,thick=2
;    xyouts,1963,16, 'FESOM high res:'+string(mean_high_fesom,format='(f5.2)')+' +/- '+string(std_high_fesom,format='(f5.2)')+'Sv '
;    oplot,[1960,1962],[14,14],color=200,thick=2,linestyle=2
;    xyouts,1963,14, 'FESOM low res:'+string(mean_low_fesom,format='(f5.2)')+' +/- '+string(std_low_fesom,format='(f5.2)')+'Sv '
;
;    IF ( PS EQ 1) then closeps
;


stop

end
