PRO time_transp_jrpaper

close,/all

    ;; Read global ave T and S (Annual) CORE2 and JRA-55
    io='/home/abozec/IDL/WORK/DATA/'
    PS = 1
    io_nc = '/Net/gleam/abozec/HYCOM/JRA55-res_PAPER/'
    ps_dir=io_nc+'PS_PAPER/'
	;; time period
	y1 = 1958 &  y2 = 2018
	ttot1 = (y2-y1+1)
    ndaym=[31,28,31,30,31,30,31,31,30,31,30,31]

	;; FSU-HYCOM
    ;; high resolution
    tmp=ncdf_lec(io_nc+'FSU/transp_t_GLBb0.08-039_fsu.nc',var='mfo')
    drake_high=reform(tmp[0,*])
    ith_high=reform(tmp[1,*])

    ;; low resolution
    tmp=ncdf_lec(io_nc+'FSU/transp_t_GLBt0.72-701_fsu.nc',var='mfo')
    drake_low=reform(tmp[0,*])
    ith_low=reform(tmp[1,*])

	;; NCAR-POP
    ;; high resolution
    tmp=ncdf_lec(io_nc+'NCAR/NCAR_POP_HR/NEW/transports.ACC-Drake.nc',var='transp') 
    drakey_high_ncar=fltarr(ttot1)
    for t=0,ttot1-1 do drakey_high_ncar[t]=mean(tmp[t*12:(t+1)*12-1])
    tmp=ncdf_lec(io_nc+'NCAR/NCAR_POP_HR/NEW/transports.Indonesian.Throughflow.nc',var='transp')
    ithy_high_ncar=fltarr(ttot1)
    for t=0,ttot1-1 do ithy_high_ncar[t]=mean(tmp[t*12:(t+1)*12-1])

;    tmp=read_ascii(io_nc+'NCAR/NCAR_POP_HR/NEW/transports.drake.asc',DATA_START=1)
;    drake_high_ncar=fltarr(365*ttot1)
;    drake_high_ncar=reform(tmp.field1[1,*])
;    drakey_high_ncar=fltarr(ttot1)
;    for t=0,ttot1-1 do drakey_high_ncar[t]=mean(drake_high_ncar[t*365:(t+1)*365-1])
;
;
;    tmp=read_ascii(io_nc+'NCAR/NCAR_POP_HR/NEW/transports.itf.asc',DATA_START=1)
;    ith_high_ncar=fltarr(365*ttot1)
;    ith_high_ncar=reform(tmp.field1[1,*])
;    ithy_high_ncar=fltarr(ttot1)
;    for t=0,ttot1-1 do ithy_high_ncar[t]=mean(ith_high_ncar[t*365:(t+1)*365-1])

    ;; low resolution
    tmp=read_ascii(io_nc+'NCAR/NCAR_POP_LR/NEW/transports.drake.asc',DATA_START=1)
    drake_low_ncar=reform(tmp.field1[1,*])
    drakey_low_ncar=fltarr(ttot1)
    for t=0,ttot1-1 do drakey_low_ncar[t]=mean(drake_low_ncar[t*12:(t+1)*12-1])
    tmp=read_ascii(io_nc+'NCAR/NCAR_POP_LR/NEW/transports.itf.asc',DATA_START=1)
    ith_low_ncar=reform(tmp.field1[1,*])
    ithy_low_ncar=fltarr(ttot1)
    for t=0,ttot1-1 do ithy_low_ncar[t]=mean(ith_low_ncar[t*12:(t+1)*12-1])

	;; AWI-FESOM
    ;; high resolution
    tmp=ncdf_lec(io_nc+'FESOM/NEW/OMIP3/loop1/mfo_Oyr_FESOM1.4_historical_loop1_gr_195801-201812.nc',var='mfo') 
    drakey_high_fesom=fltarr(ttot1)
    for t=0,ttot1-1 do drakey_high_fesom[t]=mean(reform(tmp[t*12:(t+1)*12-1,0]))
    ithy_high_fesom=fltarr(ttot1)
    for t=0,ttot1-1 do ithy_high_fesom[t]=mean(reform(-tmp[t*12:(t+1)*12-1,1]))

    ;; low resolution
    tmp=ncdf_lec(io_nc+'FESOM/NEW/OMIP3_LR/loop1/mfo_Oyr_FESOM1.4_historical_loop1_gr_195801-201812.nc',var='mfo')
    drakey_low_fesom=fltarr(ttot1)
    for t=0,ttot1-1 do drakey_low_fesom[t]=mean(reform(tmp[t*12:(t+1)*12-1,0]))    
    ithy_low_fesom=fltarr(ttot1)
    for t=0,ttot1-1 do ithy_low_fesom[t]=mean(reform(-tmp[t*12:(t+1)*12-1,1]))    


	;; IAP-LICOM
    ;; high resolution
    tmp=ncdf_lec(io_nc+'LICOM/High_res/mfo-drake_1958-2018_monthly-series.nc',var='mfo_drake') 
    drakey_high_licom=fltarr(ttot1)
    for t=0,ttot1-1 do drakey_high_licom[t]=mean(tmp[t*12:(t+1)*12-1])
    tmp=ncdf_lec(io_nc+'LICOM/High_res/mfo-indo_1958-2018_monthly-series.nc',var='mfo_indo')
    ithy_high_licom=fltarr(ttot1)
    for t=0,ttot1-1 do ithy_high_licom[t]=mean(tmp[t*12:(t+1)*12-1])

    ;; low resolution
    tmp=ncdf_lec(io_nc+'LICOM/Low_res/mfo-drake_1958-2018_monthly-series.nc',var='mfo')
    drakey_low_licom=fltarr(ttot1)
    for t=0,ttot1-1 do drakey_low_licom[t]=mean(tmp[t*12:(t+1)*12-1])    
    tmp=ncdf_lec(io_nc+'LICOM/Low_res/mfo-indo_1958-2018_monthly-series.nc',var='mfo')
    ithy_low_licom=fltarr(ttot1)
    for t=0,ttot1-1 do ithy_low_licom[t]=mean(tmp[t*12:(t+1)*12-1])    

    ;; plot amoc
    time=findgen(ttot1) + 1958

    IF ( PS EQ 1) then openps, ps_dir+'transp_t_HYCOM-NCAR-FESOM-LICOM_1958-2018.ps'
    splot, time, drake_high, xstyle = 1, ystyle = 1, yrange = [100, 200], /portrait, petit = [1, 3, 1], /rempli, $
    window = 1, thick=1, /nodata,$
    xtitle = 'Time (Years)', ytitle = 'Transport (Sv)',  title = 'Drake Passage Transport '
    oplot,time,drake_high,color=50,thick=2
    oplot,time,drake_low,color=50,thick=2,linestyle=2

    oplot,time,drakey_high_ncar,color=150,thick=2
    oplot,time,drakey_low_ncar,color=150,thick=2,linestyle=2

    oplot,time,drakey_high_fesom,color=200,thick=2
    oplot,time,drakey_low_fesom,color=200,thick=2,linestyle=2

    oplot,time,drakey_high_licom,color=250,thick=2
    oplot,time,drakey_low_licom,color=250,thick=2,linestyle=2



    splot, time, ith_high, xstyle = 1, ystyle = 1, yrange = [-25,10], /portrait, petit = [1, 3, 2], /rempli, $
    window = 1, thick=1, /nodata,$
    xtitle = 'Time (Years)', ytitle = 'Transport (Sv)',  title = 'Indonesian Throughflow Transport ',/noerase
    oplot,time,ith_high,color=50,thick=2
    oplot,time,ith_low,color=50,thick=2,linestyle=2

    oplot,time,ithy_high_ncar,color=150,thick=2
    oplot,time,ithy_low_ncar,color=150,thick=2,linestyle=2

    oplot,time,ithy_high_fesom,color=200,thick=2
    oplot,time,ithy_low_fesom,color=200,thick=2,linestyle=2

    oplot,time,ithy_high_licom,color=250,thick=2
    oplot,time,ithy_low_licom,color=250,thick=2,linestyle=2

    oplot,[1958,2018],[0., 0.], color=0, linestyle=1,thick=2

    plot,time, drake_high, yrange = [0, 100],position=[0.1,0.2,0.9,0.4],/noerase
    oplot,[1960,1962],[70,70],color=50,thick=2
    xyouts,1963,70, 'FSU-HYCOM high res'
    oplot,[1960,1962],[60,60],color=50,thick=2,linestyle=2
    xyouts,1963,60, 'FSU-HYCOM low res'

    oplot,[1960,1962],[40,40],color=150,thick=2
    xyouts,1963,40, 'NCAR-POP high res'
    oplot,[1960,1962],[30,30],color=150,thick=2,linestyle=2
    xyouts,1963,30, 'NCAR-POP low res'

    oplot,[1980,1982],[70,70],color=200,thick=2
    xyouts,1983,70, 'AWI-FESOM high res'
    oplot,[1980,1982],[60,60],color=200,thick=2,linestyle=2
    xyouts,1983,60, 'AWI-FESOM low res'

    oplot,[1980,1982],[40,40],color=250,thick=2
    xyouts,1983,40, 'IAP-LICOM high res'
    oplot,[1980,1982],[30,30],color=250,thick=2,linestyle=2
    xyouts,1983,30, 'IAP-LICOM low res'


    IF ( PS EQ 1) then closeps

stop

end 
